searchNodes=[{"doc":"","ref":"Beaver.LLVM.Config.html","title":"Beaver.LLVM.Config","type":"module"},{"doc":"","ref":"Beaver.LLVM.Config.html#include_dir/0","title":"Beaver.LLVM.Config.include_dir/0","type":"function"},{"doc":"","ref":"Beaver.LLVM.Config.html#lib_dir/0","title":"Beaver.LLVM.Config.lib_dir/0","type":"function"},{"doc":"This module contains top level functions and macros for Beaver DSL for MLIR.","ref":"Beaver.html","title":"Beaver","type":"module"},{"doc":"","ref":"Beaver.html#%3E%3E%3E/2","title":"Beaver.>>>/2","type":"function"},{"doc":"","ref":"Beaver.html#block/2","title":"Beaver.block/2","type":"macro"},{"doc":"Create a Op prototype of a concrete op type from Beaver.MLIR.CAPI.MlirOperation .","ref":"Beaver.html#concrete/1","title":"Beaver.concrete/1","type":"function"},{"doc":"","ref":"Beaver.html#defpat/2","title":"Beaver.defpat/2","type":"macro"},{"doc":"This is a macro where Beaver's MLIR DSL expressions get transformed to MLIR API calls. This transformation will works on any expression of this form, so it is also possible to call any other function/macro rather than an Op creation function. There is one operator &gt;&gt;&gt; for typing the result of the SSA or an argument of a block. It kind of works like the :: in specs and types of Elixir. How it works under the hood mlir do [ res0 , res1 ] = TestDialect . some_op ( operand0 , operand1 , attr0 : ~a{11 : i32} ) &gt;&gt;&gt; ~t{f32} end # will be transform to: [ res0 , res1 ] = % DSL.SSA { } |&gt; DSL.SSA . arguments ( [ operand0 , operand1 , attr0 : ~a{11 : i32} , attr1 : ~a{11 : i32} ] ) |&gt; DSL.SSA . results ( [ ~t{f32} ] ) |&gt; TestDialect . some_op ( ) The SSA form will return: For op with multiple result: the results of this op in a list. For op with one single result: the result For op with no result: the op itself (for instance, module, func, and terminators) If there is no returns, add a [] to make the transformation effective: TestDialect . some_op ( operand0 ) &gt;&gt;&gt; [ ] To defer the creation of a terminator in case its successor block has not been created. You can pass an atom of the name in the block's call form. CF . cond_br ( cond0 , :bb1 , { :bb2 , [ v0 ] } ) &gt;&gt;&gt; [ ] To create region, call the op with a do block. The block macro works like the function definition in Elixir, and in the do block of block macro you can reference an argument by name. One caveat is that if it is a Op with region, it requires all arguments to be passed in one list to make it to call the macro version of the Op creation function. TestDialect . op_with_region [ operand0 , attr0 : ~a{1}i32 ] do region do block ( arg &gt;&gt;&gt; ~t{f32} ) do TestDialect . some_op ( arg ) &gt;&gt;&gt; ~t{f32} end end end &gt;&gt;&gt; ~t{f32}","ref":"Beaver.html#mlir/1","title":"Beaver.mlir/1","type":"macro"},{"doc":"","ref":"Beaver.html#mlir/2","title":"Beaver.mlir/2","type":"macro"},{"doc":"","ref":"Beaver.html#region/1","title":"Beaver.region/1","type":"macro"},{"doc":"Beaver.DSL.Prototype is a struct holding an Op's operands, results, attributes before creating it. It is similar to Beaver.DSL.SSA but there are applicable in different scenarios. Beaver.DSL.Prototype should be used where it is desired to get the created MLIR Op rather than the MLIR values of its results. Unlike SSA, operands/attributes/results in Prototype don't necessary contain real MLIR values/attributes of a operation. They could be other types for different abstraction or representation. For instance, when Prototype is used to compiling Elixir patterns to PDL, these fields contains MLIR values of PDL handles.","ref":"Beaver.DSL.Op.Prototype.html","title":"Beaver.DSL.Op.Prototype","type":"behaviour"},{"doc":"Dispatch the op name and map to the callback cb if this is a module implement the behavior this module define.","ref":"Beaver.DSL.Op.Prototype.html#dispatch/3","title":"Beaver.DSL.Op.Prototype.dispatch/3","type":"function"},{"doc":"","ref":"Beaver.DSL.Op.Prototype.html#dispatch/4","title":"Beaver.DSL.Op.Prototype.dispatch/4","type":"function"},{"doc":"check if this module exist and compliant to Op.Prototype","ref":"Beaver.DSL.Op.Prototype.html#is_compliant/1","title":"Beaver.DSL.Op.Prototype.is_compliant/1","type":"function"},{"doc":"","ref":"Beaver.DSL.Op.Prototype.html#op_name!/1","title":"Beaver.DSL.Op.Prototype.op_name!/1","type":"function"},{"doc":"","ref":"Beaver.DSL.Op.Prototype.html#c:op_name/0","title":"Beaver.DSL.Op.Prototype.op_name/0","type":"callback"},{"doc":"","ref":"Beaver.DSL.Op.Prototype.html#t:t/0","title":"Beaver.DSL.Op.Prototype.t/0","type":"type"},{"doc":"","ref":"Beaver.DSL.Pattern.html","title":"Beaver.DSL.Pattern","type":"module"},{"doc":"The difference between a pdl.operation creation in a match body and a rewrite body: in a match body, pdl.attribute/pdl.operand/pdl.result will be generated for unbound variables in a rewrite body, all variables are considered bound before creation pdl ops","ref":"Beaver.DSL.Pattern.html#create_operation/3","title":"Beaver.DSL.Pattern.create_operation/3","type":"function"},{"doc":"","ref":"Beaver.DSL.Pattern.html#gen_attribute_names/1","title":"Beaver.DSL.Pattern.gen_attribute_names/1","type":"function"},{"doc":"generate PDL ops for types and attributes","ref":"Beaver.DSL.Pattern.html#gen_pdl/2","title":"Beaver.DSL.Pattern.gen_pdl/2","type":"function"},{"doc":"generate arguments for prototype dispatch","ref":"Beaver.DSL.Pattern.html#gen_prototype_args/1","title":"Beaver.DSL.Pattern.gen_prototype_args/1","type":"function"},{"doc":"","ref":"Beaver.DSL.Pattern.html#gen_prototype_args/2","title":"Beaver.DSL.Pattern.gen_prototype_args/2","type":"function"},{"doc":"","ref":"Beaver.DSL.Pattern.html#result/3","title":"Beaver.DSL.Pattern.result/3","type":"function"},{"doc":"transform a macro's call to PDL operations to match operands, attributes, results. Every Prototype form within the block should be transformed to create a PDL operation.","ref":"Beaver.DSL.Pattern.html#transform_match/1","title":"Beaver.DSL.Pattern.transform_match/1","type":"function"},{"doc":"transform a do block to PDL rewrite operation. Every Prototype form within the block should be transformed to create a PDL operation. The last expression will be replaced by the root op in the match by default. TODO: wrap this function with a macro rewrite/1, so that it could be use in a independent function","ref":"Beaver.DSL.Pattern.html#transform_rewrite/1","title":"Beaver.DSL.Pattern.transform_rewrite/1","type":"function"},{"doc":"","ref":"Beaver.DSL.Pattern.Env.html","title":"Beaver.DSL.Pattern.Env","type":"module"},{"doc":"","ref":"Beaver.DSL.SSA.html","title":"Beaver.DSL.SSA","type":"module"},{"doc":"","ref":"Beaver.DSL.SSA.html#put_arguments/2","title":"Beaver.DSL.SSA.put_arguments/2","type":"function"},{"doc":"","ref":"Beaver.DSL.SSA.html#put_block/2","title":"Beaver.DSL.SSA.put_block/2","type":"function"},{"doc":"","ref":"Beaver.DSL.SSA.html#put_ctx/2","title":"Beaver.DSL.SSA.put_ctx/2","type":"function"},{"doc":"","ref":"Beaver.DSL.SSA.html#put_filler/2","title":"Beaver.DSL.SSA.put_filler/2","type":"function"},{"doc":"","ref":"Beaver.DSL.SSA.html#put_results/2","title":"Beaver.DSL.SSA.put_results/2","type":"function"},{"doc":"","ref":"Beaver.DSL.SSA.html#transform/1","title":"Beaver.DSL.SSA.transform/1","type":"function"},{"doc":"Walker to traverse MLIR structures including operands, results, successors, attributes, regions. It implements the Enumerable protocol and the Access behavior.","ref":"Beaver.Walker.html","title":"Beaver.Walker","type":"module"},{"doc":"","ref":"Beaver.Walker.html#arguments/1","title":"Beaver.Walker.arguments/1","type":"function"},{"doc":"","ref":"Beaver.Walker.html#attributes/1","title":"Beaver.Walker.attributes/1","type":"function"},{"doc":"","ref":"Beaver.Walker.html#blocks/1","title":"Beaver.Walker.blocks/1","type":"function"},{"doc":"Extract a container could be traversed by walker from an Op prototype or a Beaver.MLIR.Module .","ref":"Beaver.Walker.html#container/1","title":"Beaver.Walker.container/1","type":"function"},{"doc":"","ref":"Beaver.Walker.html#new/3","title":"Beaver.Walker.new/3","type":"function"},{"doc":"","ref":"Beaver.Walker.html#operands/1","title":"Beaver.Walker.operands/1","type":"function"},{"doc":"","ref":"Beaver.Walker.html#operations/1","title":"Beaver.Walker.operations/1","type":"function"},{"doc":"Performs a depth-first, post-order traversal of a MLIR structure.","ref":"Beaver.Walker.html#postwalk/2","title":"Beaver.Walker.postwalk/2","type":"function"},{"doc":"Performs a depth-first, post-order traversal of a MLIR structure using an accumulator.","ref":"Beaver.Walker.html#postwalk/3","title":"Beaver.Walker.postwalk/3","type":"function"},{"doc":"Performs a depth-first, pre-order traversal of a MLIR structure.","ref":"Beaver.Walker.html#prewalk/2","title":"Beaver.Walker.prewalk/2","type":"function"},{"doc":"Performs a depth-first, pre-order traversal of a MLIR structure using an accumulator.","ref":"Beaver.Walker.html#prewalk/3","title":"Beaver.Walker.prewalk/3","type":"function"},{"doc":"","ref":"Beaver.Walker.html#regions/1","title":"Beaver.Walker.regions/1","type":"function"},{"doc":"Replace a operation with a value","ref":"Beaver.Walker.html#replace/2","title":"Beaver.Walker.replace/2","type":"function"},{"doc":"","ref":"Beaver.Walker.html#results/1","title":"Beaver.Walker.results/1","type":"function"},{"doc":"","ref":"Beaver.Walker.html#successors/1","title":"Beaver.Walker.successors/1","type":"function"},{"doc":"Traverse and transform a container in MLIR, it could be a operation, region, block. You might expect this function works like Macro.traverse/4 . More on manipulating the IR During the traversal, there are generally two choices to manipulate the IR: Use Beaver.concrete/1 to extract a op/attribute to a elixir structure, and generate a new OpReplacement with replace/2 . Use a pattern defined by macro Beaver.defpat/2 to have the PDL interpreter transform the IR for you. You can use both if it is proper to do so. It could be mind-boggling to think the IR is mutable but not an issue if your approach is very functional. Inappropriate mutation might cause crash or bugs if somewhere else is keeping a reference of the replace op. Some tips If your matching is very complicated, using with/1 in Elixir should cover it. Use defpat if you want MLIR's greedy pattern application based on benefits instead of implementing something alike yourself. You can run traversals in a MLIR pass by calling them in run/1 so that it joins the general MLIR pass manager's orchestration and will be run in parallel when possible.","ref":"Beaver.Walker.html#traverse/4","title":"Beaver.Walker.traverse/4","type":"function"},{"doc":"","ref":"Beaver.Walker.html#uses/1","title":"Beaver.Walker.uses/1","type":"function"},{"doc":"","ref":"Beaver.Walker.html#t:container/0","title":"Beaver.Walker.container/0","type":"type"},{"doc":"","ref":"Beaver.Walker.html#t:element/0","title":"Beaver.Walker.element/0","type":"type"},{"doc":"","ref":"Beaver.Walker.html#t:element_module/0","title":"Beaver.Walker.element_module/0","type":"type"},{"doc":"","ref":"Beaver.Walker.html#t:mlir/0","title":"Beaver.Walker.mlir/0","type":"type"},{"doc":"","ref":"Beaver.Walker.html#t:operation/0","title":"Beaver.Walker.operation/0","type":"type"},{"doc":"","ref":"Beaver.Walker.html#t:t/0","title":"Beaver.Walker.t/0","type":"type"},{"doc":"","ref":"Beaver.Walker.OpReplacement.html","title":"Beaver.Walker.OpReplacement","type":"module"},{"doc":"","ref":"Beaver.Walker.OpReplacement.html#t:t/0","title":"Beaver.Walker.OpReplacement.t/0","type":"type"},{"doc":"Provide macros to insert MLIR context and IR element of structure. These macros are designed to mimic the behavior and aesthetics of __MODULE__ , __CALLER__ in Elixir. Its distinguished form is to indicate this should not be expected to be a function or a macro works like a function.","ref":"Beaver.MLIR.html","title":"Beaver.MLIR","type":"module"},{"doc":"","ref":"Beaver.MLIR.html#dump!/1","title":"Beaver.MLIR.dump!/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.html#dump/1","title":"Beaver.MLIR.dump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.html#is_null/1","title":"Beaver.MLIR.is_null/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.html#to_string/1","title":"Beaver.MLIR.to_string/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.AffineMap.html","title":"Beaver.MLIR.AffineMap","type":"module"},{"doc":"","ref":"Beaver.MLIR.AffineMap.html#create/4","title":"Beaver.MLIR.AffineMap.create/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.AffineMap.html#dim/2","title":"Beaver.MLIR.AffineMap.dim/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.AffineMap.html#symbol/2","title":"Beaver.MLIR.AffineMap.symbol/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html","title":"Beaver.MLIR.Attribute","type":"module"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#affine_map/1","title":"Beaver.MLIR.Attribute.affine_map/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#array/2","title":"Beaver.MLIR.Attribute.array/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#bool/2","title":"Beaver.MLIR.Attribute.bool/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#dense_array/2","title":"Beaver.MLIR.Attribute.dense_array/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#dense_elements/3","title":"Beaver.MLIR.Attribute.dense_elements/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#equal?/2","title":"Beaver.MLIR.Attribute.equal?/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#flat_symbol_ref/2","title":"Beaver.MLIR.Attribute.flat_symbol_ref/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#float/3","title":"Beaver.MLIR.Attribute.float/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#get/2","title":"Beaver.MLIR.Attribute.get/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#integer/2","title":"Beaver.MLIR.Attribute.integer/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#is_null/1","title":"Beaver.MLIR.Attribute.is_null/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#string/2","title":"Beaver.MLIR.Attribute.string/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#type/1","title":"Beaver.MLIR.Attribute.type/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Attribute.html#unit/1","title":"Beaver.MLIR.Attribute.unit/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Block.html","title":"Beaver.MLIR.Block","type":"module"},{"doc":"","ref":"Beaver.MLIR.Block.html#add_arg!/3","title":"Beaver.MLIR.Block.add_arg!/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Block.html#create/1","title":"Beaver.MLIR.Block.create/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Block.html#create/2","title":"Beaver.MLIR.Block.create/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Block.html#do_add_arg!/3","title":"Beaver.MLIR.Block.do_add_arg!/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Block.html#get_arg!/2","title":"Beaver.MLIR.Block.get_arg!/2","type":"function"},{"doc":"This module calls C API of MLIR. These FFIs are generated from headers in LLVM repo and this repo's headers providing supplemental functions.","ref":"Beaver.MLIR.CAPI.html","title":"Beaver.MLIR.CAPI","type":"module"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_affine_map_to_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_affine_map_to_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_attribute_to_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_attribute_to_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_location_to_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_location_to_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_operation_to_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_operation_to_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_type_to_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_type_to_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_value_to_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_value_to_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_context_attach_diagnostic_handler/1","title":"Beaver.MLIR.CAPI.beaver_raw_context_attach_diagnostic_handler/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_create_mlir_pass/5","title":"Beaver.MLIR.CAPI.beaver_raw_create_mlir_pass/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_get_context_load_all_dialects/0","title":"Beaver.MLIR.CAPI.beaver_raw_get_context_load_all_dialects/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_get_resource_c_string/1","title":"Beaver.MLIR.CAPI.beaver_raw_get_resource_c_string/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_mlir_named_attribute_get/2","title":"Beaver.MLIR.CAPI.beaver_raw_mlir_named_attribute_get/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_own_opaque_ptr/1","title":"Beaver.MLIR.CAPI.beaver_raw_own_opaque_ptr/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_pass_token_signal/1","title":"Beaver.MLIR.CAPI.beaver_raw_pass_token_signal/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_read_opaque_ptr/2","title":"Beaver.MLIR.CAPI.beaver_raw_read_opaque_ptr/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_registered_dialects/0","title":"Beaver.MLIR.CAPI.beaver_raw_registered_dialects/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_registered_ops/0","title":"Beaver.MLIR.CAPI.beaver_raw_registered_ops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_registered_ops_of_dialect/1","title":"Beaver.MLIR.CAPI.beaver_raw_registered_ops_of_dialect/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_resource_c_string_to_term_charlist/1","title":"Beaver.MLIR.CAPI.beaver_raw_resource_c_string_to_term_charlist/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverApplyOwnedPatternSetOnOperation/2","title":"Beaver.MLIR.CAPI.beaverApplyOwnedPatternSetOnOperation/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverApplyOwnedPatternSetOnRegion/2","title":"Beaver.MLIR.CAPI.beaverApplyOwnedPatternSetOnRegion/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverAttributeIsNull/1","title":"Beaver.MLIR.CAPI.beaverAttributeIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverBlockIsNull/1","title":"Beaver.MLIR.CAPI.beaverBlockIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverContextIsNull/1","title":"Beaver.MLIR.CAPI.beaverContextIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverCreateExternalPass/13","title":"Beaver.MLIR.CAPI.beaverCreateExternalPass/13","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverDialectIsNull/1","title":"Beaver.MLIR.CAPI.beaverDialectIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverDialectRegistryIsNull/1","title":"Beaver.MLIR.CAPI.beaverDialectRegistryIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverEnterMultiThreadedExecution/1","title":"Beaver.MLIR.CAPI.beaverEnterMultiThreadedExecution/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverExitMultiThreadedExecution/1","title":"Beaver.MLIR.CAPI.beaverExitMultiThreadedExecution/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverGetNumRegisteredOperations/1","title":"Beaver.MLIR.CAPI.beaverGetNumRegisteredOperations/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverGetRegisteredOperationName/2","title":"Beaver.MLIR.CAPI.beaverGetRegisteredOperationName/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverIsOpNameTerminator/2","title":"Beaver.MLIR.CAPI.beaverIsOpNameTerminator/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLocationIsNull/1","title":"Beaver.MLIR.CAPI.beaverLocationIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultFailure/0","title":"Beaver.MLIR.CAPI.beaverLogicalResultFailure/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultIsFailure/1","title":"Beaver.MLIR.CAPI.beaverLogicalResultIsFailure/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultIsSuccess/1","title":"Beaver.MLIR.CAPI.beaverLogicalResultIsSuccess/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultSuccess/0","title":"Beaver.MLIR.CAPI.beaverLogicalResultSuccess/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirExecutionEngineIsNull/1","title":"Beaver.MLIR.CAPI.beaverMlirExecutionEngineIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirNamedAttributeGetAttribute/1","title":"Beaver.MLIR.CAPI.beaverMlirNamedAttributeGetAttribute/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirNamedAttributeGetName/1","title":"Beaver.MLIR.CAPI.beaverMlirNamedAttributeGetName/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetContext/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetLocation/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetLocation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetName/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetName/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumAttributes/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumAttributes/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumOperands/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumOperands/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumRegions/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumRegions/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumResults/1","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumResults/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverModuleIsNull/1","title":"Beaver.MLIR.CAPI.beaverModuleIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetNext/1","title":"Beaver.MLIR.CAPI.beaverOperandGetNext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetNumber/1","title":"Beaver.MLIR.CAPI.beaverOperandGetNumber/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetOwner/1","title":"Beaver.MLIR.CAPI.beaverOperandGetOwner/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetValue/1","title":"Beaver.MLIR.CAPI.beaverOperandGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandIsNull/1","title":"Beaver.MLIR.CAPI.beaverOperandIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationGetAttribute/2","title":"Beaver.MLIR.CAPI.beaverOperationGetAttribute/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationGetName/2","title":"Beaver.MLIR.CAPI.beaverOperationGetName/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationIsNull/1","title":"Beaver.MLIR.CAPI.beaverOperationIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationStateAddAttributes/5","title":"Beaver.MLIR.CAPI.beaverOperationStateAddAttributes/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassGetArgument/1","title":"Beaver.MLIR.CAPI.beaverPassGetArgument/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassGetDescription/1","title":"Beaver.MLIR.CAPI.beaverPassGetDescription/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassGetName/1","title":"Beaver.MLIR.CAPI.beaverPassGetName/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassManagerGetContext/1","title":"Beaver.MLIR.CAPI.beaverPassManagerGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPatternSetAddOwnedPDLPattern/2","title":"Beaver.MLIR.CAPI.beaverPatternSetAddOwnedPDLPattern/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPDLPatternGet/1","title":"Beaver.MLIR.CAPI.beaverPDLPatternGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegionIsNull/1","title":"Beaver.MLIR.CAPI.beaverRegionIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredDialects/3","title":"Beaver.MLIR.CAPI.beaverRegisteredDialects/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredOperationNameGetDialectName/1","title":"Beaver.MLIR.CAPI.beaverRegisteredOperationNameGetDialectName/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredOperationNameGetOpName/1","title":"Beaver.MLIR.CAPI.beaverRegisteredOperationNameGetOpName/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredOperationsOfDialect/4","title":"Beaver.MLIR.CAPI.beaverRegisteredOperationsOfDialect/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRewritePatternSetGet/1","title":"Beaver.MLIR.CAPI.beaverRewritePatternSetGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverStringRefGetData/1","title":"Beaver.MLIR.CAPI.beaverStringRefGetData/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverStringRefGetLength/1","title":"Beaver.MLIR.CAPI.beaverStringRefGetLength/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverSymbolTableIsNull/1","title":"Beaver.MLIR.CAPI.beaverSymbolTableIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverTypeIsNull/1","title":"Beaver.MLIR.CAPI.beaverTypeIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverValueGetFirstOperand/1","title":"Beaver.MLIR.CAPI.beaverValueGetFirstOperand/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#beaverValueIsNull/1","title":"Beaver.MLIR.CAPI.beaverValueIsNull/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineAddExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineAddExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineBinaryOpExprGetLHS/1","title":"Beaver.MLIR.CAPI.mlirAffineBinaryOpExprGetLHS/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineBinaryOpExprGetRHS/1","title":"Beaver.MLIR.CAPI.mlirAffineBinaryOpExprGetRHS/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineCeilDivExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineCeilDivExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineConstantExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineConstantExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineConstantExprGetValue/1","title":"Beaver.MLIR.CAPI.mlirAffineConstantExprGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineDimExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineDimExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineDimExprGetPosition/1","title":"Beaver.MLIR.CAPI.mlirAffineDimExprGetPosition/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprCompose/2","title":"Beaver.MLIR.CAPI.mlirAffineExprCompose/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprDump/1","title":"Beaver.MLIR.CAPI.mlirAffineExprDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprEqual/2","title":"Beaver.MLIR.CAPI.mlirAffineExprEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprGetContext/1","title":"Beaver.MLIR.CAPI.mlirAffineExprGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprGetLargestKnownDivisor/1","title":"Beaver.MLIR.CAPI.mlirAffineExprGetLargestKnownDivisor/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAAdd/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAAdd/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsABinary/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsABinary/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsACeilDiv/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsACeilDiv/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAConstant/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAConstant/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsADim/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsADim/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAFloorDiv/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAFloorDiv/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAMod/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAMod/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAMul/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAMul/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsASymbol/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsASymbol/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsFunctionOfDim/2","title":"Beaver.MLIR.CAPI.mlirAffineExprIsFunctionOfDim/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsMultipleOf/2","title":"Beaver.MLIR.CAPI.mlirAffineExprIsMultipleOf/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsPureAffine/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsPureAffine/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsSymbolicOrConstant/1","title":"Beaver.MLIR.CAPI.mlirAffineExprIsSymbolicOrConstant/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprPrint/3","title":"Beaver.MLIR.CAPI.mlirAffineExprPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineFloorDivExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineFloorDivExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapAttrGet/1","title":"Beaver.MLIR.CAPI.mlirAffineMapAttrGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapAttrGetValue/1","title":"Beaver.MLIR.CAPI.mlirAffineMapAttrGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapCompressUnusedSymbols/4","title":"Beaver.MLIR.CAPI.mlirAffineMapCompressUnusedSymbols/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapConstantGet/2","title":"Beaver.MLIR.CAPI.mlirAffineMapConstantGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapDump/1","title":"Beaver.MLIR.CAPI.mlirAffineMapDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapEmptyGet/1","title":"Beaver.MLIR.CAPI.mlirAffineMapEmptyGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapEqual/2","title":"Beaver.MLIR.CAPI.mlirAffineMapEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGet/5","title":"Beaver.MLIR.CAPI.mlirAffineMapGet/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetContext/1","title":"Beaver.MLIR.CAPI.mlirAffineMapGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetMajorSubMap/2","title":"Beaver.MLIR.CAPI.mlirAffineMapGetMajorSubMap/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetMinorSubMap/2","title":"Beaver.MLIR.CAPI.mlirAffineMapGetMinorSubMap/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumDims/1","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumDims/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumInputs/1","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumInputs/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumResults/1","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumResults/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumSymbols/1","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumSymbols/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetResult/2","title":"Beaver.MLIR.CAPI.mlirAffineMapGetResult/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetSingleConstantResult/1","title":"Beaver.MLIR.CAPI.mlirAffineMapGetSingleConstantResult/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetSubMap/3","title":"Beaver.MLIR.CAPI.mlirAffineMapGetSubMap/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsEmpty/1","title":"Beaver.MLIR.CAPI.mlirAffineMapIsEmpty/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsIdentity/1","title":"Beaver.MLIR.CAPI.mlirAffineMapIsIdentity/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsMinorIdentity/1","title":"Beaver.MLIR.CAPI.mlirAffineMapIsMinorIdentity/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsPermutation/1","title":"Beaver.MLIR.CAPI.mlirAffineMapIsPermutation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsProjectedPermutation/1","title":"Beaver.MLIR.CAPI.mlirAffineMapIsProjectedPermutation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsSingleConstant/1","title":"Beaver.MLIR.CAPI.mlirAffineMapIsSingleConstant/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapMinorIdentityGet/3","title":"Beaver.MLIR.CAPI.mlirAffineMapMinorIdentityGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapMultiDimIdentityGet/2","title":"Beaver.MLIR.CAPI.mlirAffineMapMultiDimIdentityGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapPermutationGet/3","title":"Beaver.MLIR.CAPI.mlirAffineMapPermutationGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapPrint/3","title":"Beaver.MLIR.CAPI.mlirAffineMapPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapReplace/5","title":"Beaver.MLIR.CAPI.mlirAffineMapReplace/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapZeroResultGet/3","title":"Beaver.MLIR.CAPI.mlirAffineMapZeroResultGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineModExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineModExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMulExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineMulExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineSymbolExprGet/2","title":"Beaver.MLIR.CAPI.mlirAffineSymbolExprGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineSymbolExprGetPosition/1","title":"Beaver.MLIR.CAPI.mlirAffineSymbolExprGetPosition/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAnyQuantizedTypeGet/5","title":"Beaver.MLIR.CAPI.mlirAnyQuantizedTypeGet/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGet/3","title":"Beaver.MLIR.CAPI.mlirArrayAttrGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGetElement/2","title":"Beaver.MLIR.CAPI.mlirArrayAttrGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGetNumElements/1","title":"Beaver.MLIR.CAPI.mlirArrayAttrGetNumElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeDump/1","title":"Beaver.MLIR.CAPI.mlirAttributeDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeEqual/2","title":"Beaver.MLIR.CAPI.mlirAttributeEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetContext/1","title":"Beaver.MLIR.CAPI.mlirAttributeGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetNull/0","title":"Beaver.MLIR.CAPI.mlirAttributeGetNull/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetType/1","title":"Beaver.MLIR.CAPI.mlirAttributeGetType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetTypeID/1","title":"Beaver.MLIR.CAPI.mlirAttributeGetTypeID/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAAffineMap/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAAffineMap/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAArray/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAArray/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsABool/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsABool/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseBoolArray/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseBoolArray/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseElements/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseF32Array/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseF32Array/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseF64Array/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseF64Array/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseFPElements/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseFPElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI8Array/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI8Array/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI16Array/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI16Array/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI32Array/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI32Array/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI64Array/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI64Array/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseIntElements/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseIntElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADictionary/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsADictionary/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAElements/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAFlatSymbolRef/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAFlatSymbolRef/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAFloat/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAFloat/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAInteger/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAInteger/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAIntegerSet/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAIntegerSet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAOpaque/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAOpaque/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsASparseElements/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsASparseElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsASparseTensorEncodingAttr/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsASparseTensorEncodingAttr/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAString/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAString/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsASymbolRef/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsASymbolRef/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAType/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAUnit/1","title":"Beaver.MLIR.CAPI.mlirAttributeIsAUnit/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeParseGet/2","title":"Beaver.MLIR.CAPI.mlirAttributeParseGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributePrint/3","title":"Beaver.MLIR.CAPI.mlirAttributePrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBF16TypeGet/1","title":"Beaver.MLIR.CAPI.mlirBF16TypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockAddArgument/3","title":"Beaver.MLIR.CAPI.mlirBlockAddArgument/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockAppendOwnedOperation/2","title":"Beaver.MLIR.CAPI.mlirBlockAppendOwnedOperation/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockArgumentGetArgNumber/1","title":"Beaver.MLIR.CAPI.mlirBlockArgumentGetArgNumber/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockArgumentGetOwner/1","title":"Beaver.MLIR.CAPI.mlirBlockArgumentGetOwner/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockArgumentSetType/2","title":"Beaver.MLIR.CAPI.mlirBlockArgumentSetType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockCreate/3","title":"Beaver.MLIR.CAPI.mlirBlockCreate/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockDestroy/1","title":"Beaver.MLIR.CAPI.mlirBlockDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockDetach/1","title":"Beaver.MLIR.CAPI.mlirBlockDetach/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockEqual/2","title":"Beaver.MLIR.CAPI.mlirBlockEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetArgument/2","title":"Beaver.MLIR.CAPI.mlirBlockGetArgument/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetFirstOperation/1","title":"Beaver.MLIR.CAPI.mlirBlockGetFirstOperation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetNextInRegion/1","title":"Beaver.MLIR.CAPI.mlirBlockGetNextInRegion/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetNumArguments/1","title":"Beaver.MLIR.CAPI.mlirBlockGetNumArguments/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetParentOperation/1","title":"Beaver.MLIR.CAPI.mlirBlockGetParentOperation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetParentRegion/1","title":"Beaver.MLIR.CAPI.mlirBlockGetParentRegion/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetTerminator/1","title":"Beaver.MLIR.CAPI.mlirBlockGetTerminator/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockInsertOwnedOperation/3","title":"Beaver.MLIR.CAPI.mlirBlockInsertOwnedOperation/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockInsertOwnedOperationAfter/3","title":"Beaver.MLIR.CAPI.mlirBlockInsertOwnedOperationAfter/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockInsertOwnedOperationBefore/3","title":"Beaver.MLIR.CAPI.mlirBlockInsertOwnedOperationBefore/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockPrint/3","title":"Beaver.MLIR.CAPI.mlirBlockPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBoolAttrGet/2","title":"Beaver.MLIR.CAPI.mlirBoolAttrGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBoolAttrGetValue/1","title":"Beaver.MLIR.CAPI.mlirBoolAttrGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCalibratedQuantizedTypeGet/3","title":"Beaver.MLIR.CAPI.mlirCalibratedQuantizedTypeGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCalibratedQuantizedTypeGetMax/1","title":"Beaver.MLIR.CAPI.mlirCalibratedQuantizedTypeGetMax/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCalibratedQuantizedTypeGetMin/1","title":"Beaver.MLIR.CAPI.mlirCalibratedQuantizedTypeGetMin/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirComplexTypeGet/1","title":"Beaver.MLIR.CAPI.mlirComplexTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirComplexTypeGetElementType/1","title":"Beaver.MLIR.CAPI.mlirComplexTypeGetElementType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextAppendDialectRegistry/2","title":"Beaver.MLIR.CAPI.mlirContextAppendDialectRegistry/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextAttachDiagnosticHandler/4","title":"Beaver.MLIR.CAPI.mlirContextAttachDiagnosticHandler/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextCreate/0","title":"Beaver.MLIR.CAPI.mlirContextCreate/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextDestroy/1","title":"Beaver.MLIR.CAPI.mlirContextDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextDetachDiagnosticHandler/2","title":"Beaver.MLIR.CAPI.mlirContextDetachDiagnosticHandler/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextEnableMultithreading/2","title":"Beaver.MLIR.CAPI.mlirContextEnableMultithreading/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextEqual/2","title":"Beaver.MLIR.CAPI.mlirContextEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetAllowUnregisteredDialects/1","title":"Beaver.MLIR.CAPI.mlirContextGetAllowUnregisteredDialects/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetNumLoadedDialects/1","title":"Beaver.MLIR.CAPI.mlirContextGetNumLoadedDialects/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetNumRegisteredDialects/1","title":"Beaver.MLIR.CAPI.mlirContextGetNumRegisteredDialects/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetOrLoadDialect/2","title":"Beaver.MLIR.CAPI.mlirContextGetOrLoadDialect/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextIsRegisteredOperation/2","title":"Beaver.MLIR.CAPI.mlirContextIsRegisteredOperation/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextLoadAllAvailableDialects/1","title":"Beaver.MLIR.CAPI.mlirContextLoadAllAvailableDialects/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextSetAllowUnregisteredDialects/2","title":"Beaver.MLIR.CAPI.mlirContextSetAllowUnregisteredDialects/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncParallelFor/0","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncParallelFor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncRuntimePolicyBasedRefCounting/0","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncRuntimePolicyBasedRefCounting/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncRuntimeRefCounting/0","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncRuntimeRefCounting/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncRuntimeRefCountingOpt/0","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncRuntimeRefCountingOpt/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncToAsyncRuntime/0","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncToAsyncRuntime/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAffineForToGPU/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAffineForToGPU/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAffineToStandard/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAffineToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAMDGPUToROCDL/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAMDGPUToROCDL/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertArithmeticToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertArithmeticToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertArithmeticToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertArithmeticToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertArmNeon2dToIntr/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertArmNeon2dToIntr/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAsyncToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAsyncToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertBufferizationToMemRef/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertBufferizationToMemRef/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToLibm/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToLibm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToStandard/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertControlFlowToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertControlFlowToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertControlFlowToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertControlFlowToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertFuncToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertFuncToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertFuncToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertFuncToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGPUToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGPUToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGpuOpsToNVVMOps/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGpuOpsToNVVMOps/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGpuOpsToROCDLOps/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGpuOpsToROCDLOps/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertLinalgToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertLinalgToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertLinalgToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertLinalgToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertLinalgToStandard/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertLinalgToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToFuncs/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToFuncs/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToLibm/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToLibm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMemRefToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMemRefToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMemRefToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMemRefToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertNVGPUToNVVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertNVGPUToNVVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertOpenACCToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertOpenACCToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertOpenACCToSCF/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertOpenACCToSCF/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertOpenMPToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertOpenMPToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertParallelLoopToGpu/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertParallelLoopToGpu/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertPDLToPDLInterp/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertPDLToPDLInterp/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertSCFToOpenMP/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertSCFToOpenMP/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertShapeConstraints/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertShapeConstraints/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertShapeToStandard/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertShapeToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertSPIRVToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertSPIRVToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertTensorToLinalg/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertTensorToLinalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertTensorToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertTensorToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToGPU/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToGPU/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToSCF/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToSCF/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVulkanLaunchFuncToVulkanCalls/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVulkanLaunchFuncToVulkanCalls/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionGpuToLLVMConversionPass/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionGpuToLLVMConversionPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionLowerHostCodeToLLVM/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionLowerHostCodeToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionMapMemRefStorageClass/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionMapMemRefStorageClass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionReconcileUnrealizedCasts/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionReconcileUnrealizedCasts/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionSCFToControlFlow/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionSCFToControlFlow/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionSCFToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionSCFToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToArith/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToArith/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToLinalg/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToLinalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToLinalgNamed/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToLinalgNamed/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToSCF/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToSCF/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToTensor/0","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToTensor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateExternalPass/9","title":"Beaver.MLIR.CAPI.mlirCreateExternalPass/9","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuAsyncRegionPass/0","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuAsyncRegionPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuKernelOutlining/0","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuKernelOutlining/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuLaunchSinkIndexComputations/0","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuLaunchSinkIndexComputations/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuMapParallelLoopsPass/0","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuMapParallelLoopsPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgConvertElementwiseToLinalg/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgConvertElementwiseToLinalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgBufferize/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgBufferize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgDetensorize/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgDetensorize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgElementwiseOpFusion/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgElementwiseOpFusion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgFoldUnitExtentDims/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgFoldUnitExtentDims/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgGeneralization/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgGeneralization/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgInitTensorToAllocTensor/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgInitTensorToAllocTensor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgInlineScalarOperands/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgInlineScalarOperands/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgLowerToAffineLoops/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgLowerToAffineLoops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgLowerToLoops/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgLowerToLoops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgLowerToParallelLoops/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgLowerToParallelLoops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgNamedOpConversion/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgNamedOpConversion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyDecomposePass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyDecomposePass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyLowerVectorsPass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyLowerVectorsPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyPadPass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyPadPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyPeelPass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyPeelPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyRemoveMarkersPass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyRemoveMarkersPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyTileAndFusePass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyTileAndFusePass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgStrategyTilePass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgStrategyTilePass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgTilingPass/0","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgTilingPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseTensorCodegen/0","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseTensorCodegen/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseTensorConversionPass/0","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseTensorConversionPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparsificationPass/0","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparsificationPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsCanonicalizer/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsCanonicalizer/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsControlFlowSink/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsControlFlowSink/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsCSE/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsCSE/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsInliner/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsInliner/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsLocationSnapshot/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsLocationSnapshot/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsLoopInvariantCodeMotion/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsLoopInvariantCodeMotion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsPrintOpStats/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsPrintOpStats/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSCCP/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSCCP/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsStripDebugInfo/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsStripDebugInfo/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSymbolDCE/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSymbolDCE/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSymbolPrivatize/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSymbolPrivatize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsTopologicalSort/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsTopologicalSort/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsViewOpGraph/0","title":"Beaver.MLIR.CAPI.mlirCreateTransformsViewOpGraph/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseArrayGetNumElements/1","title":"Beaver.MLIR.CAPI.mlirDenseArrayGetNumElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseBoolArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseBoolArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseBoolArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseBoolArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrBFloat16Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrBFloat16Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrBoolGet/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrBoolGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrBoolSplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrBoolSplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrDoubleGet/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrDoubleGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrDoubleSplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrDoubleSplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrFloat16Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrFloat16Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrFloatGet/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrFloatGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrFloatSplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrFloatSplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGet/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetBoolSplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetBoolSplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetBoolValue/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetBoolValue/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetDoubleSplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetDoubleSplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetDoubleValue/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetDoubleValue/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetFloatSplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetFloatSplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetFloatValue/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetFloatValue/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt8SplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt8SplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt8Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt8Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt16Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt16Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt32SplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt32SplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt32Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt32Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt64SplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt64SplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt64Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt64Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetRawData/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetRawData/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetSplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetSplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetStringSplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetStringSplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetStringValue/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetStringValue/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt8SplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt8SplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt8Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt8Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt16Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt16Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt32SplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt32SplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt32Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt32Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt64SplatValue/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt64SplatValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt64Value/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt64Value/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt8Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt8Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt8SplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt8SplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt16Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt16Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt32Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt32Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt32SplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt32SplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt64Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt64Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt64SplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt64SplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrIsSplat/1","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrIsSplat/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrRawBufferGet/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrRawBufferGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrReshapeGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrReshapeGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrSplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrSplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrStringGet/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrStringGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt8Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt8Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt8SplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt8SplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt16Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt16Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt32Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt32Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt32SplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt32SplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt64Get/3","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt64Get/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt64SplatGet/2","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt64SplatGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF32ArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseF32ArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF32ArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseF32ArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF64ArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseF64ArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF64ArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseF64ArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI8ArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseI8ArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI8ArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseI8ArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI16ArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseI16ArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI16ArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseI16ArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI32ArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseI32ArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI32ArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseI32ArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI64ArrayGet/3","title":"Beaver.MLIR.CAPI.mlirDenseI64ArrayGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI64ArrayGetElement/2","title":"Beaver.MLIR.CAPI.mlirDenseI64ArrayGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetLocation/1","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetLocation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetNote/2","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetNote/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetNumNotes/1","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetNumNotes/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetSeverity/1","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetSeverity/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticPrint/3","title":"Beaver.MLIR.CAPI.mlirDiagnosticPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectEqual/2","title":"Beaver.MLIR.CAPI.mlirDialectEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectGetContext/1","title":"Beaver.MLIR.CAPI.mlirDialectGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectGetNamespace/1","title":"Beaver.MLIR.CAPI.mlirDialectGetNamespace/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleGetNamespace/1","title":"Beaver.MLIR.CAPI.mlirDialectHandleGetNamespace/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleInsertDialect/2","title":"Beaver.MLIR.CAPI.mlirDialectHandleInsertDialect/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleLoadDialect/2","title":"Beaver.MLIR.CAPI.mlirDialectHandleLoadDialect/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleRegisterDialect/2","title":"Beaver.MLIR.CAPI.mlirDialectHandleRegisterDialect/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectRegistryCreate/0","title":"Beaver.MLIR.CAPI.mlirDialectRegistryCreate/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectRegistryDestroy/1","title":"Beaver.MLIR.CAPI.mlirDialectRegistryDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGet/3","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetElement/2","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetElement/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetElementByName/2","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetElementByName/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetNumElements/1","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetNumElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirElementsAttrGetNumElements/1","title":"Beaver.MLIR.CAPI.mlirElementsAttrGetNumElements/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirElementsAttrGetValue/3","title":"Beaver.MLIR.CAPI.mlirElementsAttrGetValue/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirElementsAttrIsValidIndex/3","title":"Beaver.MLIR.CAPI.mlirElementsAttrIsValidIndex/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirEmitError/2","title":"Beaver.MLIR.CAPI.mlirEmitError/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirEnableGlobalDebug/1","title":"Beaver.MLIR.CAPI.mlirEnableGlobalDebug/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineCreate/4","title":"Beaver.MLIR.CAPI.mlirExecutionEngineCreate/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineDestroy/1","title":"Beaver.MLIR.CAPI.mlirExecutionEngineDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineDumpToObjectFile/2","title":"Beaver.MLIR.CAPI.mlirExecutionEngineDumpToObjectFile/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineInvokePacked/3","title":"Beaver.MLIR.CAPI.mlirExecutionEngineInvokePacked/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineLookup/2","title":"Beaver.MLIR.CAPI.mlirExecutionEngineLookup/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineLookupPacked/2","title":"Beaver.MLIR.CAPI.mlirExecutionEngineLookupPacked/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineRegisterSymbol/3","title":"Beaver.MLIR.CAPI.mlirExecutionEngineRegisterSymbol/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExternalPassSignalFailure/1","title":"Beaver.MLIR.CAPI.mlirExternalPassSignalFailure/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirF16TypeGet/1","title":"Beaver.MLIR.CAPI.mlirF16TypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirF32TypeGet/1","title":"Beaver.MLIR.CAPI.mlirF32TypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirF64TypeGet/1","title":"Beaver.MLIR.CAPI.mlirF64TypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFlatSymbolRefAttrGet/2","title":"Beaver.MLIR.CAPI.mlirFlatSymbolRefAttrGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFlatSymbolRefAttrGetValue/1","title":"Beaver.MLIR.CAPI.mlirFlatSymbolRefAttrGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrDoubleGet/3","title":"Beaver.MLIR.CAPI.mlirFloatAttrDoubleGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrDoubleGetChecked/3","title":"Beaver.MLIR.CAPI.mlirFloatAttrDoubleGetChecked/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrGetValueDouble/1","title":"Beaver.MLIR.CAPI.mlirFloatAttrGetValueDouble/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGet/5","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGet/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetInput/2","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetInput/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetNumInputs/1","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetNumInputs/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetNumResults/1","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetNumResults/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetResult/2","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetResult/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__async__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__async__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__cf__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__cf__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__elixir__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__elixir__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__func__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__func__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__gpu__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__gpu__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__linalg__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__linalg__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__llvm__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__llvm__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__pdl__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__pdl__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__quant__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__quant__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__scf__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__scf__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__shape__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__shape__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__sparse_tensor__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__sparse_tensor__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__tensor__/0","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__tensor__/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierEqual/2","title":"Beaver.MLIR.CAPI.mlirIdentifierEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierGet/2","title":"Beaver.MLIR.CAPI.mlirIdentifierGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierGetContext/1","title":"Beaver.MLIR.CAPI.mlirIdentifierGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierStr/1","title":"Beaver.MLIR.CAPI.mlirIdentifierStr/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIndexTypeGet/1","title":"Beaver.MLIR.CAPI.mlirIndexTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirInferTypeOpInterfaceInferReturnTypes/10","title":"Beaver.MLIR.CAPI.mlirInferTypeOpInterfaceInferReturnTypes/10","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirInferTypeOpInterfaceTypeID/0","title":"Beaver.MLIR.CAPI.mlirInferTypeOpInterfaceTypeID/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGet/2","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetValueInt/1","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetValueInt/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetValueSInt/1","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetValueSInt/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetValueUInt/1","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetValueUInt/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetDump/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetEmptyGet/3","title":"Beaver.MLIR.CAPI.mlirIntegerSetEmptyGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetEqual/2","title":"Beaver.MLIR.CAPI.mlirIntegerSetEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGet/6","title":"Beaver.MLIR.CAPI.mlirIntegerSetGet/6","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetConstraint/2","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetConstraint/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetContext/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumConstraints/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumConstraints/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumDims/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumDims/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumEqualities/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumEqualities/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumInequalities/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumInequalities/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumInputs/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumInputs/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumSymbols/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumSymbols/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetIsCanonicalEmpty/1","title":"Beaver.MLIR.CAPI.mlirIntegerSetIsCanonicalEmpty/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetIsConstraintEq/2","title":"Beaver.MLIR.CAPI.mlirIntegerSetIsConstraintEq/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetPrint/3","title":"Beaver.MLIR.CAPI.mlirIntegerSetPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetReplaceGet/5","title":"Beaver.MLIR.CAPI.mlirIntegerSetReplaceGet/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeGet/2","title":"Beaver.MLIR.CAPI.mlirIntegerTypeGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeGetWidth/1","title":"Beaver.MLIR.CAPI.mlirIntegerTypeGetWidth/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeIsSigned/1","title":"Beaver.MLIR.CAPI.mlirIntegerTypeIsSigned/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeIsSignless/1","title":"Beaver.MLIR.CAPI.mlirIntegerTypeIsSignless/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeIsUnsigned/1","title":"Beaver.MLIR.CAPI.mlirIntegerTypeIsUnsigned/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeSignedGet/2","title":"Beaver.MLIR.CAPI.mlirIntegerTypeSignedGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeUnsignedGet/2","title":"Beaver.MLIR.CAPI.mlirIntegerTypeUnsignedGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIsGlobalDebugEnabled/0","title":"Beaver.MLIR.CAPI.mlirIsGlobalDebugEnabled/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLinalgFillBuiltinNamedOpRegion/1","title":"Beaver.MLIR.CAPI.mlirLinalgFillBuiltinNamedOpRegion/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMArrayTypeGet/2","title":"Beaver.MLIR.CAPI.mlirLLVMArrayTypeGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMFunctionTypeGet/4","title":"Beaver.MLIR.CAPI.mlirLLVMFunctionTypeGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMPointerTypeGet/2","title":"Beaver.MLIR.CAPI.mlirLLVMPointerTypeGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMStructTypeLiteralGet/4","title":"Beaver.MLIR.CAPI.mlirLLVMStructTypeLiteralGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMVoidTypeGet/1","title":"Beaver.MLIR.CAPI.mlirLLVMVoidTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationCallSiteGet/2","title":"Beaver.MLIR.CAPI.mlirLocationCallSiteGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationEqual/2","title":"Beaver.MLIR.CAPI.mlirLocationEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationFileLineColGet/4","title":"Beaver.MLIR.CAPI.mlirLocationFileLineColGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationFusedGet/4","title":"Beaver.MLIR.CAPI.mlirLocationFusedGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationGetContext/1","title":"Beaver.MLIR.CAPI.mlirLocationGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationNameGet/3","title":"Beaver.MLIR.CAPI.mlirLocationNameGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationPrint/3","title":"Beaver.MLIR.CAPI.mlirLocationPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationUnknownGet/1","title":"Beaver.MLIR.CAPI.mlirLocationUnknownGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeContiguousGet/4","title":"Beaver.MLIR.CAPI.mlirMemRefTypeContiguousGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeContiguousGetChecked/5","title":"Beaver.MLIR.CAPI.mlirMemRefTypeContiguousGetChecked/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGet/5","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGet/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetAffineMap/1","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetAffineMap/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetChecked/6","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetChecked/6","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetLayout/1","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetLayout/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetMemorySpace/1","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetMemorySpace/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleCreateEmpty/1","title":"Beaver.MLIR.CAPI.mlirModuleCreateEmpty/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleCreateParse/2","title":"Beaver.MLIR.CAPI.mlirModuleCreateParse/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleDestroy/1","title":"Beaver.MLIR.CAPI.mlirModuleDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleFromOperation/1","title":"Beaver.MLIR.CAPI.mlirModuleFromOperation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleGetBody/1","title":"Beaver.MLIR.CAPI.mlirModuleGetBody/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleGetContext/1","title":"Beaver.MLIR.CAPI.mlirModuleGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleGetOperation/1","title":"Beaver.MLIR.CAPI.mlirModuleGetOperation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirNamedAttributeGet/2","title":"Beaver.MLIR.CAPI.mlirNamedAttributeGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirNoneTypeGet/1","title":"Beaver.MLIR.CAPI.mlirNoneTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGet/5","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGet/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGetData/1","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGetData/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGetDialectNamespace/1","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGetDialectNamespace/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGet/3","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGetData/1","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGetData/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGetDialectNamespace/1","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGetDialectNamespace/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationClone/1","title":"Beaver.MLIR.CAPI.mlirOperationClone/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationCreate/1","title":"Beaver.MLIR.CAPI.mlirOperationCreate/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationDestroy/1","title":"Beaver.MLIR.CAPI.mlirOperationDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationDump/1","title":"Beaver.MLIR.CAPI.mlirOperationDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationEqual/2","title":"Beaver.MLIR.CAPI.mlirOperationEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetAttribute/2","title":"Beaver.MLIR.CAPI.mlirOperationGetAttribute/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetAttributeByName/2","title":"Beaver.MLIR.CAPI.mlirOperationGetAttributeByName/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetBlock/1","title":"Beaver.MLIR.CAPI.mlirOperationGetBlock/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetContext/1","title":"Beaver.MLIR.CAPI.mlirOperationGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetFirstRegion/1","title":"Beaver.MLIR.CAPI.mlirOperationGetFirstRegion/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetLocation/1","title":"Beaver.MLIR.CAPI.mlirOperationGetLocation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetName/1","title":"Beaver.MLIR.CAPI.mlirOperationGetName/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNextInBlock/1","title":"Beaver.MLIR.CAPI.mlirOperationGetNextInBlock/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumAttributes/1","title":"Beaver.MLIR.CAPI.mlirOperationGetNumAttributes/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumOperands/1","title":"Beaver.MLIR.CAPI.mlirOperationGetNumOperands/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumRegions/1","title":"Beaver.MLIR.CAPI.mlirOperationGetNumRegions/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumResults/1","title":"Beaver.MLIR.CAPI.mlirOperationGetNumResults/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumSuccessors/1","title":"Beaver.MLIR.CAPI.mlirOperationGetNumSuccessors/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetOperand/2","title":"Beaver.MLIR.CAPI.mlirOperationGetOperand/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetParentOperation/1","title":"Beaver.MLIR.CAPI.mlirOperationGetParentOperation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetRegion/2","title":"Beaver.MLIR.CAPI.mlirOperationGetRegion/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetResult/2","title":"Beaver.MLIR.CAPI.mlirOperationGetResult/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetSuccessor/2","title":"Beaver.MLIR.CAPI.mlirOperationGetSuccessor/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetTypeID/1","title":"Beaver.MLIR.CAPI.mlirOperationGetTypeID/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationImplementsInterface/2","title":"Beaver.MLIR.CAPI.mlirOperationImplementsInterface/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationImplementsInterfaceStatic/3","title":"Beaver.MLIR.CAPI.mlirOperationImplementsInterfaceStatic/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationMoveAfter/2","title":"Beaver.MLIR.CAPI.mlirOperationMoveAfter/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationMoveBefore/2","title":"Beaver.MLIR.CAPI.mlirOperationMoveBefore/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationPrint/3","title":"Beaver.MLIR.CAPI.mlirOperationPrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationPrintWithFlags/4","title":"Beaver.MLIR.CAPI.mlirOperationPrintWithFlags/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationRemoveAttributeByName/2","title":"Beaver.MLIR.CAPI.mlirOperationRemoveAttributeByName/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationRemoveFromParent/1","title":"Beaver.MLIR.CAPI.mlirOperationRemoveFromParent/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationSetAttributeByName/3","title":"Beaver.MLIR.CAPI.mlirOperationSetAttributeByName/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationSetOperand/3","title":"Beaver.MLIR.CAPI.mlirOperationSetOperand/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddAttributes/3","title":"Beaver.MLIR.CAPI.mlirOperationStateAddAttributes/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddOperands/3","title":"Beaver.MLIR.CAPI.mlirOperationStateAddOperands/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddOwnedRegions/3","title":"Beaver.MLIR.CAPI.mlirOperationStateAddOwnedRegions/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddResults/3","title":"Beaver.MLIR.CAPI.mlirOperationStateAddResults/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddSuccessors/3","title":"Beaver.MLIR.CAPI.mlirOperationStateAddSuccessors/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateEnableResultTypeInference/1","title":"Beaver.MLIR.CAPI.mlirOperationStateEnableResultTypeInference/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateGet/2","title":"Beaver.MLIR.CAPI.mlirOperationStateGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationVerify/1","title":"Beaver.MLIR.CAPI.mlirOperationVerify/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationWriteBytecode/3","title":"Beaver.MLIR.CAPI.mlirOperationWriteBytecode/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPassManagerAddOwnedPass/2","title":"Beaver.MLIR.CAPI.mlirOpPassManagerAddOwnedPass/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPassManagerGetNestedUnder/2","title":"Beaver.MLIR.CAPI.mlirOpPassManagerGetNestedUnder/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsCreate/0","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsCreate/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsDestroy/1","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsElideLargeElementsAttrs/2","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsElideLargeElementsAttrs/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsEnableDebugInfo/2","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsEnableDebugInfo/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsPrintGenericOpForm/1","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsPrintGenericOpForm/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsUseLocalScope/1","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsUseLocalScope/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpResultGetOwner/1","title":"Beaver.MLIR.CAPI.mlirOpResultGetOwner/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpResultGetResultNumber/1","title":"Beaver.MLIR.CAPI.mlirOpResultGetResultNumber/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirParsePassPipeline/2","title":"Beaver.MLIR.CAPI.mlirParsePassPipeline/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerAddOwnedPass/2","title":"Beaver.MLIR.CAPI.mlirPassManagerAddOwnedPass/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerCreate/1","title":"Beaver.MLIR.CAPI.mlirPassManagerCreate/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerDestroy/1","title":"Beaver.MLIR.CAPI.mlirPassManagerDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerEnableIRPrinting/1","title":"Beaver.MLIR.CAPI.mlirPassManagerEnableIRPrinting/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerEnableVerifier/2","title":"Beaver.MLIR.CAPI.mlirPassManagerEnableVerifier/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerGetAsOpPassManager/1","title":"Beaver.MLIR.CAPI.mlirPassManagerGetAsOpPassManager/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerGetNestedUnder/2","title":"Beaver.MLIR.CAPI.mlirPassManagerGetNestedUnder/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerRun/2","title":"Beaver.MLIR.CAPI.mlirPassManagerRun/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLAttributeTypeGet/1","title":"Beaver.MLIR.CAPI.mlirPDLAttributeTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLOperationTypeGet/1","title":"Beaver.MLIR.CAPI.mlirPDLOperationTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLRangeTypeGet/1","title":"Beaver.MLIR.CAPI.mlirPDLRangeTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLRangeTypeGetElementType/1","title":"Beaver.MLIR.CAPI.mlirPDLRangeTypeGetElementType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLTypeTypeGet/1","title":"Beaver.MLIR.CAPI.mlirPDLTypeTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLValueTypeGet/1","title":"Beaver.MLIR.CAPI.mlirPDLValueTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPrintPassPipeline/3","title":"Beaver.MLIR.CAPI.mlirPrintPassPipeline/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastExpressedToStorageType/2","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastExpressedToStorageType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastFromExpressedType/2","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastFromExpressedType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastFromStorageType/2","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastFromStorageType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastToExpressedType/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastToExpressedType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastToStorageType/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastToStorageType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetDefaultMaximumForInteger/2","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetDefaultMaximumForInteger/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetDefaultMinimumForInteger/2","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetDefaultMinimumForInteger/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetExpressedType/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetExpressedType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetFlags/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetFlags/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetQuantizedElementType/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetQuantizedElementType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetSignedFlag/0","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetSignedFlag/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageType/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageTypeIntegralWidth/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageTypeIntegralWidth/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageTypeMax/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageTypeMax/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageTypeMin/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageTypeMin/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeIsCompatibleExpressedType/2","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeIsCompatibleExpressedType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeIsSigned/1","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeIsSigned/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGet/4","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGetChecked/5","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGetChecked/5","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGetEncoding/1","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGetEncoding/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionAppendOwnedBlock/2","title":"Beaver.MLIR.CAPI.mlirRegionAppendOwnedBlock/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionCreate/0","title":"Beaver.MLIR.CAPI.mlirRegionCreate/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionDestroy/1","title":"Beaver.MLIR.CAPI.mlirRegionDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionEqual/2","title":"Beaver.MLIR.CAPI.mlirRegionEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionGetFirstBlock/1","title":"Beaver.MLIR.CAPI.mlirRegionGetFirstBlock/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionGetNextInOperation/1","title":"Beaver.MLIR.CAPI.mlirRegionGetNextInOperation/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionInsertOwnedBlock/3","title":"Beaver.MLIR.CAPI.mlirRegionInsertOwnedBlock/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionInsertOwnedBlockAfter/3","title":"Beaver.MLIR.CAPI.mlirRegionInsertOwnedBlockAfter/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionInsertOwnedBlockBefore/3","title":"Beaver.MLIR.CAPI.mlirRegionInsertOwnedBlockBefore/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAllDialects/1","title":"Beaver.MLIR.CAPI.mlirRegisterAllDialects/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAllLLVMTranslations/1","title":"Beaver.MLIR.CAPI.mlirRegisterAllLLVMTranslations/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAllPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterAllPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncParallelFor/0","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncParallelFor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncRuntimePolicyBasedRefCounting/0","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncRuntimePolicyBasedRefCounting/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncRuntimeRefCounting/0","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncRuntimeRefCounting/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncRuntimeRefCountingOpt/0","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncRuntimeRefCountingOpt/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncToAsyncRuntime/0","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncToAsyncRuntime/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAffineForToGPU/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAffineForToGPU/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAffineToStandard/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAffineToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAMDGPUToROCDL/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAMDGPUToROCDL/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertArithmeticToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertArithmeticToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertArithmeticToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertArithmeticToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertArmNeon2dToIntr/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertArmNeon2dToIntr/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAsyncToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAsyncToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertBufferizationToMemRef/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertBufferizationToMemRef/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToLibm/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToLibm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToStandard/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertControlFlowToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertControlFlowToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertControlFlowToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertControlFlowToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertFuncToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertFuncToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertFuncToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertFuncToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGPUToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGPUToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGpuOpsToNVVMOps/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGpuOpsToNVVMOps/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGpuOpsToROCDLOps/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGpuOpsToROCDLOps/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertLinalgToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertLinalgToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertLinalgToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertLinalgToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertLinalgToStandard/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertLinalgToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToFuncs/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToFuncs/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToLibm/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToLibm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMemRefToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMemRefToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMemRefToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMemRefToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertNVGPUToNVVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertNVGPUToNVVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertOpenACCToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertOpenACCToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertOpenACCToSCF/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertOpenACCToSCF/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertOpenMPToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertOpenMPToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertParallelLoopToGpu/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertParallelLoopToGpu/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertPDLToPDLInterp/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertPDLToPDLInterp/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertSCFToOpenMP/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertSCFToOpenMP/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertShapeConstraints/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertShapeConstraints/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertShapeToStandard/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertShapeToStandard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertSPIRVToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertSPIRVToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertTensorToLinalg/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertTensorToLinalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertTensorToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertTensorToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToGPU/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToGPU/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToSCF/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToSCF/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVulkanLaunchFuncToVulkanCalls/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVulkanLaunchFuncToVulkanCalls/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionGpuToLLVMConversionPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionGpuToLLVMConversionPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionLowerHostCodeToLLVM/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionLowerHostCodeToLLVM/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionMapMemRefStorageClass/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionMapMemRefStorageClass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionReconcileUnrealizedCasts/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionReconcileUnrealizedCasts/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionSCFToControlFlow/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionSCFToControlFlow/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionSCFToSPIRV/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionSCFToSPIRV/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToArith/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToArith/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToLinalg/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToLinalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToLinalgNamed/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToLinalgNamed/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToSCF/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToSCF/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToTensor/0","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToTensor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuAsyncRegionPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuAsyncRegionPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuKernelOutlining/0","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuKernelOutlining/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuLaunchSinkIndexComputations/0","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuLaunchSinkIndexComputations/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuMapParallelLoopsPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuMapParallelLoopsPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterGPUPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgConvertElementwiseToLinalg/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgConvertElementwiseToLinalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgBufferize/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgBufferize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgDetensorize/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgDetensorize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgElementwiseOpFusion/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgElementwiseOpFusion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgFoldUnitExtentDims/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgFoldUnitExtentDims/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgGeneralization/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgGeneralization/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgInitTensorToAllocTensor/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgInitTensorToAllocTensor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgInlineScalarOperands/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgInlineScalarOperands/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgLowerToAffineLoops/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgLowerToAffineLoops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgLowerToLoops/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgLowerToLoops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgLowerToParallelLoops/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgLowerToParallelLoops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgNamedOpConversion/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgNamedOpConversion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyDecomposePass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyDecomposePass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyLowerVectorsPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyLowerVectorsPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyPadPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyPadPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyPeelPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyPeelPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyRemoveMarkersPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyRemoveMarkersPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyTileAndFusePass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyTileAndFusePass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgStrategyTilePass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgStrategyTilePass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgTilingPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgTilingPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseTensorCodegen/0","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseTensorCodegen/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseTensorConversionPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseTensorConversionPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparsificationPass/0","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparsificationPass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsCanonicalizer/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsCanonicalizer/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsControlFlowSink/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsControlFlowSink/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsCSE/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsCSE/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsInliner/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsInliner/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsLocationSnapshot/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsLocationSnapshot/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsLoopInvariantCodeMotion/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsLoopInvariantCodeMotion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsPasses/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsPasses/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsPrintOpStats/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsPrintOpStats/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSCCP/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSCCP/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsStripDebugInfo/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsStripDebugInfo/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSymbolDCE/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSymbolDCE/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSymbolPrivatize/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSymbolPrivatize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsTopologicalSort/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsTopologicalSort/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsViewOpGraph/0","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsViewOpGraph/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetDimSize/2","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetDimSize/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetDynamicSize/0","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetDynamicSize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetDynamicStrideOrOffset/0","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetDynamicStrideOrOffset/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetElementType/1","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetElementType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetRank/1","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetRank/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeHasRank/1","title":"Beaver.MLIR.CAPI.mlirShapedTypeHasRank/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeHasStaticShape/1","title":"Beaver.MLIR.CAPI.mlirShapedTypeHasStaticShape/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeIsDynamicDim/2","title":"Beaver.MLIR.CAPI.mlirShapedTypeIsDynamicDim/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeIsDynamicSize/1","title":"Beaver.MLIR.CAPI.mlirShapedTypeIsDynamicSize/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeIsDynamicStrideOrOffset/1","title":"Beaver.MLIR.CAPI.mlirShapedTypeIsDynamicStrideOrOffset/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttrGetIndices/1","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttrGetIndices/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttrGetValues/1","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttrGetValues/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttribute/3","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttribute/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGet/6","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGet/6","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetDimLevelType/2","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetDimLevelType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetDimOrdering/1","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetDimOrdering/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetIndexBitWidth/1","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetIndexBitWidth/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetPointerBitWidth/1","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetPointerBitWidth/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingGetNumDimLevelTypes/1","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingGetNumDimLevelTypes/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrGet/2","title":"Beaver.MLIR.CAPI.mlirStringAttrGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrGetValue/1","title":"Beaver.MLIR.CAPI.mlirStringAttrGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrTypedGet/2","title":"Beaver.MLIR.CAPI.mlirStringAttrTypedGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringRefCreateFromCString/1","title":"Beaver.MLIR.CAPI.mlirStringRefCreateFromCString/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringRefEqual/2","title":"Beaver.MLIR.CAPI.mlirStringRefEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGet/4","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGet/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetLeafReference/1","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetLeafReference/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetNestedReference/2","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetNestedReference/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetNumNestedReferences/1","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetNumNestedReferences/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetRootReference/1","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetRootReference/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableCreate/1","title":"Beaver.MLIR.CAPI.mlirSymbolTableCreate/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableDestroy/1","title":"Beaver.MLIR.CAPI.mlirSymbolTableDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableErase/2","title":"Beaver.MLIR.CAPI.mlirSymbolTableErase/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableGetSymbolAttributeName/0","title":"Beaver.MLIR.CAPI.mlirSymbolTableGetSymbolAttributeName/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableGetVisibilityAttributeName/0","title":"Beaver.MLIR.CAPI.mlirSymbolTableGetVisibilityAttributeName/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableInsert/2","title":"Beaver.MLIR.CAPI.mlirSymbolTableInsert/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableLookup/2","title":"Beaver.MLIR.CAPI.mlirSymbolTableLookup/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableReplaceAllSymbolUses/3","title":"Beaver.MLIR.CAPI.mlirSymbolTableReplaceAllSymbolUses/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableWalkSymbolTables/4","title":"Beaver.MLIR.CAPI.mlirSymbolTableWalkSymbolTables/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGet/3","title":"Beaver.MLIR.CAPI.mlirTupleTypeGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGetNumTypes/1","title":"Beaver.MLIR.CAPI.mlirTupleTypeGetNumTypes/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGetType/2","title":"Beaver.MLIR.CAPI.mlirTupleTypeGetType/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeAttrGet/1","title":"Beaver.MLIR.CAPI.mlirTypeAttrGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeAttrGetValue/1","title":"Beaver.MLIR.CAPI.mlirTypeAttrGetValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeDump/1","title":"Beaver.MLIR.CAPI.mlirTypeDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeEqual/2","title":"Beaver.MLIR.CAPI.mlirTypeEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeGetContext/1","title":"Beaver.MLIR.CAPI.mlirTypeGetContext/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeGetTypeID/1","title":"Beaver.MLIR.CAPI.mlirTypeGetTypeID/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDAllocatorAllocateTypeID/1","title":"Beaver.MLIR.CAPI.mlirTypeIDAllocatorAllocateTypeID/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDAllocatorCreate/0","title":"Beaver.MLIR.CAPI.mlirTypeIDAllocatorCreate/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDAllocatorDestroy/1","title":"Beaver.MLIR.CAPI.mlirTypeIDAllocatorDestroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDCreate/1","title":"Beaver.MLIR.CAPI.mlirTypeIDCreate/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDEqual/2","title":"Beaver.MLIR.CAPI.mlirTypeIDEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDHashValue/1","title":"Beaver.MLIR.CAPI.mlirTypeIDHashValue/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAAnyQuantizedType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAAnyQuantizedType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsABF16/1","title":"Beaver.MLIR.CAPI.mlirTypeIsABF16/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsACalibratedQuantizedType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsACalibratedQuantizedType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAComplex/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAComplex/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAF16/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAF16/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAF32/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAF32/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAF64/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAF64/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFunction/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAFunction/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAIndex/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAIndex/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAInteger/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAInteger/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAMemRef/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAMemRef/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsANone/1","title":"Beaver.MLIR.CAPI.mlirTypeIsANone/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAOpaque/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAOpaque/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLAttributeType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLAttributeType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLOperationType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLOperationType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLRangeType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLRangeType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLTypeType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLTypeType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLValueType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLValueType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAQuantizedType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAQuantizedType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsARankedTensor/1","title":"Beaver.MLIR.CAPI.mlirTypeIsARankedTensor/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAShaped/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAShaped/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsATensor/1","title":"Beaver.MLIR.CAPI.mlirTypeIsATensor/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsATuple/1","title":"Beaver.MLIR.CAPI.mlirTypeIsATuple/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUniformQuantizedPerAxisType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAUniformQuantizedPerAxisType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUniformQuantizedType/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAUniformQuantizedType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUnrankedMemRef/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAUnrankedMemRef/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUnrankedTensor/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAUnrankedTensor/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAVector/1","title":"Beaver.MLIR.CAPI.mlirTypeIsAVector/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeParseGet/2","title":"Beaver.MLIR.CAPI.mlirTypeParseGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypePrint/3","title":"Beaver.MLIR.CAPI.mlirTypePrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGet/9","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGet/9","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetNumDims/1","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetNumDims/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetQuantizedDimension/1","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetQuantizedDimension/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetScale/2","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetScale/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetZeroPoint/2","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetZeroPoint/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeIsFixedPoint/1","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeIsFixedPoint/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeGet/7","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeGet/7","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeGetScale/1","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeGetScale/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeGetZeroPoint/1","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeGetZeroPoint/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeIsFixedPoint/1","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeIsFixedPoint/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnitAttrGet/1","title":"Beaver.MLIR.CAPI.mlirUnitAttrGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemRefTypeGet/2","title":"Beaver.MLIR.CAPI.mlirUnrankedMemRefTypeGet/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemRefTypeGetChecked/3","title":"Beaver.MLIR.CAPI.mlirUnrankedMemRefTypeGetChecked/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemrefGetMemorySpace/1","title":"Beaver.MLIR.CAPI.mlirUnrankedMemrefGetMemorySpace/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedTensorTypeGet/1","title":"Beaver.MLIR.CAPI.mlirUnrankedTensorTypeGet/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedTensorTypeGetChecked/2","title":"Beaver.MLIR.CAPI.mlirUnrankedTensorTypeGetChecked/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueDump/1","title":"Beaver.MLIR.CAPI.mlirValueDump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueEqual/2","title":"Beaver.MLIR.CAPI.mlirValueEqual/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueGetType/1","title":"Beaver.MLIR.CAPI.mlirValueGetType/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueIsABlockArgument/1","title":"Beaver.MLIR.CAPI.mlirValueIsABlockArgument/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueIsAOpResult/1","title":"Beaver.MLIR.CAPI.mlirValueIsAOpResult/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValuePrint/3","title":"Beaver.MLIR.CAPI.mlirValuePrint/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirVectorTypeGet/3","title":"Beaver.MLIR.CAPI.mlirVectorTypeGet/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.CAPI.html#mlirVectorTypeGetChecked/4","title":"Beaver.MLIR.CAPI.mlirVectorTypeGetChecked/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.Context.html","title":"Beaver.MLIR.Context","type":"module"},{"doc":"","ref":"Beaver.MLIR.Context.html#create/0","title":"Beaver.MLIR.Context.create/0","type":"function"},{"doc":"create a MLIR context and register all dialects","ref":"Beaver.MLIR.Context.html#create/1","title":"Beaver.MLIR.Context.create/1","type":"function"},{"doc":"See Beaver.MLIR.CAPI.mlirContextDestroy/1 .","ref":"Beaver.MLIR.Context.html#destroy/1","title":"Beaver.MLIR.Context.destroy/1","type":"function"},{"doc":"Conversions MLIR provides by default.","ref":"Beaver.MLIR.Conversion.html","title":"Beaver.MLIR.Conversion","type":"module"},{"doc":"Convert Arm NEON structured ops to intrinsics Argument name in MLIR CLI arm-neon-2d-to-intr Pass name in TableGen ConvertArmNeon2dToIntr","ref":"Beaver.MLIR.Conversion.html#arm_neon_2d_to_intr/0","title":"Beaver.MLIR.Conversion.arm_neon_2d_to_intr/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#arm_neon_2d_to_intr/1","title":"Beaver.MLIR.Conversion.arm_neon_2d_to_intr/1","type":"function"},{"doc":"Convert top-level AffineFor Ops to GPU kernels Argument name in MLIR CLI convert-affine-for-to-gpu Pass name in TableGen ConvertAffineForToGPU","ref":"Beaver.MLIR.Conversion.html#convert_affine_for_to_gpu/0","title":"Beaver.MLIR.Conversion.convert_affine_for_to_gpu/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_affine_for_to_gpu/1","title":"Beaver.MLIR.Conversion.convert_affine_for_to_gpu/1","type":"function"},{"doc":"Convert AMDGPU dialect to ROCDL dialect Argument name in MLIR CLI convert-amdgpu-to-rocdl Pass name in TableGen ConvertAMDGPUToROCDL","ref":"Beaver.MLIR.Conversion.html#convert_amdgpu_to_rocdl/0","title":"Beaver.MLIR.Conversion.convert_amdgpu_to_rocdl/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_amdgpu_to_rocdl/1","title":"Beaver.MLIR.Conversion.convert_amdgpu_to_rocdl/1","type":"function"},{"doc":"Convert Arithmetic dialect to LLVM dialect Argument name in MLIR CLI convert-arith-to-llvm Pass name in TableGen ConvertArithmeticToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_arith_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_arith_to_llvm/1","type":"function"},{"doc":"Convert Arithmetic dialect to SPIR-V dialect Argument name in MLIR CLI convert-arith-to-spirv Pass name in TableGen ConvertArithmeticToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_arith_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_arith_to_spirv/1","type":"function"},{"doc":"Convert the operations from the async dialect into the LLVM dialect Argument name in MLIR CLI convert-async-to-llvm Pass name in TableGen ConvertAsyncToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_async_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_async_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_async_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_async_to_llvm/1","type":"function"},{"doc":"Convert operations from the Bufferization dialect to the MemRef dialect Argument name in MLIR CLI convert-bufferization-to-memref Pass name in TableGen ConvertBufferizationToMemRef","ref":"Beaver.MLIR.Conversion.html#convert_bufferization_to_memref/0","title":"Beaver.MLIR.Conversion.convert_bufferization_to_memref/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_bufferization_to_memref/1","title":"Beaver.MLIR.Conversion.convert_bufferization_to_memref/1","type":"function"},{"doc":"Convert ControlFlow operations to the LLVM dialect Argument name in MLIR CLI convert-cf-to-llvm Pass name in TableGen ConvertControlFlowToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_cf_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_cf_to_llvm/1","type":"function"},{"doc":"Convert ControlFlow dialect to SPIR-V dialect Argument name in MLIR CLI convert-cf-to-spirv Pass name in TableGen ConvertControlFlowToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_cf_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_cf_to_spirv/1","type":"function"},{"doc":"Convert Complex dialect to libm calls Argument name in MLIR CLI convert-complex-to-libm Pass name in TableGen ConvertComplexToLibm","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_libm/0","title":"Beaver.MLIR.Conversion.convert_complex_to_libm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_libm/1","title":"Beaver.MLIR.Conversion.convert_complex_to_libm/1","type":"function"},{"doc":"Convert Complex dialect to LLVM dialect Argument name in MLIR CLI convert-complex-to-llvm Pass name in TableGen ConvertComplexToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_complex_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_complex_to_llvm/1","type":"function"},{"doc":"Convert Complex dialect to standard dialect Argument name in MLIR CLI convert-complex-to-standard Pass name in TableGen ConvertComplexToStandard","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_standard/0","title":"Beaver.MLIR.Conversion.convert_complex_to_standard/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_standard/1","title":"Beaver.MLIR.Conversion.convert_complex_to_standard/1","type":"function"},{"doc":"Convert from the Func dialect to the LLVM dialect Argument name in MLIR CLI convert-func-to-llvm Pass name in TableGen ConvertFuncToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_func_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_func_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_func_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_func_to_llvm/1","type":"function"},{"doc":"Convert Func dialect to SPIR-V dialect Argument name in MLIR CLI convert-func-to-spirv Pass name in TableGen ConvertFuncToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_func_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_func_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_func_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_func_to_spirv/1","type":"function"},{"doc":"Convert gpu.launch_func to vulkanLaunch external call Argument name in MLIR CLI convert-gpu-launch-to-vulkan-launch Pass name in TableGen ConvertGpuLaunchFuncToVulkanLaunchFunc","ref":"Beaver.MLIR.Conversion.html#convert_gpu_launch_to_vulkan_launch/0","title":"Beaver.MLIR.Conversion.convert_gpu_launch_to_vulkan_launch/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_launch_to_vulkan_launch/1","title":"Beaver.MLIR.Conversion.convert_gpu_launch_to_vulkan_launch/1","type":"function"},{"doc":"Generate NVVM operations for gpu operations Argument name in MLIR CLI convert-gpu-to-nvvm Pass name in TableGen ConvertGpuOpsToNVVMOps","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_nvvm/0","title":"Beaver.MLIR.Conversion.convert_gpu_to_nvvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_nvvm/1","title":"Beaver.MLIR.Conversion.convert_gpu_to_nvvm/1","type":"function"},{"doc":"Generate ROCDL operations for gpu operations Argument name in MLIR CLI convert-gpu-to-rocdl Pass name in TableGen ConvertGpuOpsToROCDLOps","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_rocdl/0","title":"Beaver.MLIR.Conversion.convert_gpu_to_rocdl/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_rocdl/1","title":"Beaver.MLIR.Conversion.convert_gpu_to_rocdl/1","type":"function"},{"doc":"Convert GPU dialect to SPIR-V dialect Argument name in MLIR CLI convert-gpu-to-spirv Pass name in TableGen ConvertGPUToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_gpu_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_gpu_to_spirv/1","type":"function"},{"doc":"Convert the operations from the linalg dialect into the LLVM dialect Argument name in MLIR CLI convert-linalg-to-llvm Pass name in TableGen ConvertLinalgToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_linalg_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_linalg_to_llvm/1","type":"function"},{"doc":"Convert Linalg dialect to SPIR-V dialect Argument name in MLIR CLI convert-linalg-to-spirv Pass name in TableGen ConvertLinalgToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_linalg_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_linalg_to_spirv/1","type":"function"},{"doc":"Convert the operations from the linalg dialect into the Standard dialect Argument name in MLIR CLI convert-linalg-to-std Pass name in TableGen ConvertLinalgToStandard","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_std/0","title":"Beaver.MLIR.Conversion.convert_linalg_to_std/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_std/1","title":"Beaver.MLIR.Conversion.convert_linalg_to_std/1","type":"function"},{"doc":"Convert Math operations to calls of outlined implementations. Argument name in MLIR CLI convert-math-to-funcs Pass name in TableGen ConvertMathToFuncs","ref":"Beaver.MLIR.Conversion.html#convert_math_to_funcs/0","title":"Beaver.MLIR.Conversion.convert_math_to_funcs/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_funcs/1","title":"Beaver.MLIR.Conversion.convert_math_to_funcs/1","type":"function"},{"doc":"Convert Math dialect to libm calls Argument name in MLIR CLI convert-math-to-libm Pass name in TableGen ConvertMathToLibm","ref":"Beaver.MLIR.Conversion.html#convert_math_to_libm/0","title":"Beaver.MLIR.Conversion.convert_math_to_libm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_libm/1","title":"Beaver.MLIR.Conversion.convert_math_to_libm/1","type":"function"},{"doc":"Convert Math dialect to LLVM dialect Argument name in MLIR CLI convert-math-to-llvm Pass name in TableGen ConvertMathToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_math_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_math_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_math_to_llvm/1","type":"function"},{"doc":"Convert Math dialect to SPIR-V dialect Argument name in MLIR CLI convert-math-to-spirv Pass name in TableGen ConvertMathToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_math_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_math_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_math_to_spirv/1","type":"function"},{"doc":"Convert operations from the MemRef dialect to the LLVM dialect Argument name in MLIR CLI convert-memref-to-llvm Pass name in TableGen ConvertMemRefToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_memref_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_memref_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_memref_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_memref_to_llvm/1","type":"function"},{"doc":"Convert MemRef dialect to SPIR-V dialect Argument name in MLIR CLI convert-memref-to-spirv Pass name in TableGen ConvertMemRefToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_memref_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_memref_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_memref_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_memref_to_spirv/1","type":"function"},{"doc":"Convert NVGPU dialect to NVVM dialect Argument name in MLIR CLI convert-nvgpu-to-nvvm Pass name in TableGen ConvertNVGPUToNVVM","ref":"Beaver.MLIR.Conversion.html#convert_nvgpu_to_nvvm/0","title":"Beaver.MLIR.Conversion.convert_nvgpu_to_nvvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_nvgpu_to_nvvm/1","title":"Beaver.MLIR.Conversion.convert_nvgpu_to_nvvm/1","type":"function"},{"doc":"Convert the OpenACC ops to LLVM dialect Argument name in MLIR CLI convert-openacc-to-llvm Pass name in TableGen ConvertOpenACCToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_openacc_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_openacc_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_openacc_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_openacc_to_llvm/1","type":"function"},{"doc":"Convert the OpenACC ops to OpenACC with SCF dialect Argument name in MLIR CLI convert-openacc-to-scf Pass name in TableGen ConvertOpenACCToSCF","ref":"Beaver.MLIR.Conversion.html#convert_openacc_to_scf/0","title":"Beaver.MLIR.Conversion.convert_openacc_to_scf/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_openacc_to_scf/1","title":"Beaver.MLIR.Conversion.convert_openacc_to_scf/1","type":"function"},{"doc":"Convert the OpenMP ops to OpenMP ops with LLVM dialect Argument name in MLIR CLI convert-openmp-to-llvm Pass name in TableGen ConvertOpenMPToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_openmp_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_openmp_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_openmp_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_openmp_to_llvm/1","type":"function"},{"doc":"Convert mapped scf.parallel ops to gpu launch operations Argument name in MLIR CLI convert-parallel-loops-to-gpu Pass name in TableGen ConvertParallelLoopToGpu","ref":"Beaver.MLIR.Conversion.html#convert_parallel_loops_to_gpu/0","title":"Beaver.MLIR.Conversion.convert_parallel_loops_to_gpu/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_parallel_loops_to_gpu/1","title":"Beaver.MLIR.Conversion.convert_parallel_loops_to_gpu/1","type":"function"},{"doc":"Convert PDL ops to PDL interpreter ops Argument name in MLIR CLI convert-pdl-to-pdl-interp Pass name in TableGen ConvertPDLToPDLInterp","ref":"Beaver.MLIR.Conversion.html#convert_pdl_to_pdl_interp/0","title":"Beaver.MLIR.Conversion.convert_pdl_to_pdl_interp/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_pdl_to_pdl_interp/1","title":"Beaver.MLIR.Conversion.convert_pdl_to_pdl_interp/1","type":"function"},{"doc":"Convert SCF dialect to ControlFlow dialect, replacing structured control flow with a CFG Argument name in MLIR CLI convert-scf-to-cf Pass name in TableGen SCFToControlFlow","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_cf/0","title":"Beaver.MLIR.Conversion.convert_scf_to_cf/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_cf/1","title":"Beaver.MLIR.Conversion.convert_scf_to_cf/1","type":"function"},{"doc":"Convert SCF parallel loop to OpenMP parallel + workshare constructs. Argument name in MLIR CLI convert-scf-to-openmp Pass name in TableGen ConvertSCFToOpenMP","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_openmp/0","title":"Beaver.MLIR.Conversion.convert_scf_to_openmp/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_openmp/1","title":"Beaver.MLIR.Conversion.convert_scf_to_openmp/1","type":"function"},{"doc":"Convert SCF dialect to SPIR-V dialect. Argument name in MLIR CLI convert-scf-to-spirv Pass name in TableGen SCFToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_scf_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_scf_to_spirv/1","type":"function"},{"doc":"Convert shape constraint operations to the standard dialect Argument name in MLIR CLI convert-shape-constraints Pass name in TableGen ConvertShapeConstraints","ref":"Beaver.MLIR.Conversion.html#convert_shape_constraints/0","title":"Beaver.MLIR.Conversion.convert_shape_constraints/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_shape_constraints/1","title":"Beaver.MLIR.Conversion.convert_shape_constraints/1","type":"function"},{"doc":"Convert operations from the shape dialect into the standard dialect Argument name in MLIR CLI convert-shape-to-std Pass name in TableGen ConvertShapeToStandard","ref":"Beaver.MLIR.Conversion.html#convert_shape_to_std/0","title":"Beaver.MLIR.Conversion.convert_shape_to_std/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_shape_to_std/1","title":"Beaver.MLIR.Conversion.convert_shape_to_std/1","type":"function"},{"doc":"Convert SPIR-V dialect to LLVM dialect Argument name in MLIR CLI convert-spirv-to-llvm Pass name in TableGen ConvertSPIRVToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_spirv_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_spirv_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_spirv_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_spirv_to_llvm/1","type":"function"},{"doc":"Convert some Tensor dialect ops to Linalg dialect Argument name in MLIR CLI convert-tensor-to-linalg Pass name in TableGen ConvertTensorToLinalg","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_linalg/0","title":"Beaver.MLIR.Conversion.convert_tensor_to_linalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_linalg/1","title":"Beaver.MLIR.Conversion.convert_tensor_to_linalg/1","type":"function"},{"doc":"Convert Tensor dialect to SPIR-V dialect Argument name in MLIR CLI convert-tensor-to-spirv Pass name in TableGen ConvertTensorToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_tensor_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_tensor_to_spirv/1","type":"function"},{"doc":"Lower the operations from the vector dialect into the GPU dialect Argument name in MLIR CLI convert-vector-to-gpu Pass name in TableGen ConvertVectorToGPU","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_gpu/0","title":"Beaver.MLIR.Conversion.convert_vector_to_gpu/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_gpu/1","title":"Beaver.MLIR.Conversion.convert_vector_to_gpu/1","type":"function"},{"doc":"Lower the operations from the vector dialect into the LLVM dialect Argument name in MLIR CLI convert-vector-to-llvm Pass name in TableGen ConvertVectorToLLVM","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_llvm/0","title":"Beaver.MLIR.Conversion.convert_vector_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_llvm/1","title":"Beaver.MLIR.Conversion.convert_vector_to_llvm/1","type":"function"},{"doc":"Lower the operations from the vector dialect into the SCF dialect Argument name in MLIR CLI convert-vector-to-scf Pass name in TableGen ConvertVectorToSCF","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_scf/0","title":"Beaver.MLIR.Conversion.convert_vector_to_scf/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_scf/1","title":"Beaver.MLIR.Conversion.convert_vector_to_scf/1","type":"function"},{"doc":"Convert Vector dialect to SPIR-V dialect Argument name in MLIR CLI convert-vector-to-spirv Pass name in TableGen ConvertVectorToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_spirv/0","title":"Beaver.MLIR.Conversion.convert_vector_to_spirv/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_spirv/1","title":"Beaver.MLIR.Conversion.convert_vector_to_spirv/1","type":"function"},{"doc":"Convert GPU dialect to LLVM dialect with GPU runtime calls Argument name in MLIR CLI gpu-to-llvm Pass name in TableGen GpuToLLVMConversionPass","ref":"Beaver.MLIR.Conversion.html#gpu_to_llvm/0","title":"Beaver.MLIR.Conversion.gpu_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#gpu_to_llvm/1","title":"Beaver.MLIR.Conversion.gpu_to_llvm/1","type":"function"},{"doc":"Convert vulkanLaunch external call to Vulkan runtime external calls Argument name in MLIR CLI launch-func-to-vulkan Pass name in TableGen ConvertVulkanLaunchFuncToVulkanCalls","ref":"Beaver.MLIR.Conversion.html#launch_func_to_vulkan/0","title":"Beaver.MLIR.Conversion.launch_func_to_vulkan/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#launch_func_to_vulkan/1","title":"Beaver.MLIR.Conversion.launch_func_to_vulkan/1","type":"function"},{"doc":"Lower Affine operations to a combination of Standard and SCF operations Argument name in MLIR CLI lower-affine Pass name in TableGen ConvertAffineToStandard","ref":"Beaver.MLIR.Conversion.html#lower_affine/0","title":"Beaver.MLIR.Conversion.lower_affine/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#lower_affine/1","title":"Beaver.MLIR.Conversion.lower_affine/1","type":"function"},{"doc":"Lowers the host module code and gpu.launch_func to LLVM Argument name in MLIR CLI lower-host-to-llvm Pass name in TableGen LowerHostCodeToLLVM","ref":"Beaver.MLIR.Conversion.html#lower_host_to_llvm/0","title":"Beaver.MLIR.Conversion.lower_host_to_llvm/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#lower_host_to_llvm/1","title":"Beaver.MLIR.Conversion.lower_host_to_llvm/1","type":"function"},{"doc":"Map numeric MemRef memory spaces to SPIR-V storage classes Argument name in MLIR CLI map-memref-spirv-storage-class Pass name in TableGen MapMemRefStorageClass","ref":"Beaver.MLIR.Conversion.html#map_memref_spirv_storage_class/0","title":"Beaver.MLIR.Conversion.map_memref_spirv_storage_class/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#map_memref_spirv_storage_class/1","title":"Beaver.MLIR.Conversion.map_memref_spirv_storage_class/1","type":"function"},{"doc":"Simplify and eliminate unrealized conversion casts Argument name in MLIR CLI reconcile-unrealized-casts Pass name in TableGen ReconcileUnrealizedCasts","ref":"Beaver.MLIR.Conversion.html#reconcile_unrealized_casts/0","title":"Beaver.MLIR.Conversion.reconcile_unrealized_casts/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#reconcile_unrealized_casts/1","title":"Beaver.MLIR.Conversion.reconcile_unrealized_casts/1","type":"function"},{"doc":"Lower TOSA to the Arith dialect Argument name in MLIR CLI tosa-to-arith Pass name in TableGen TosaToArith","ref":"Beaver.MLIR.Conversion.html#tosa_to_arith/0","title":"Beaver.MLIR.Conversion.tosa_to_arith/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_arith/1","title":"Beaver.MLIR.Conversion.tosa_to_arith/1","type":"function"},{"doc":"Lower TOSA to LinAlg on tensors Argument name in MLIR CLI tosa-to-linalg Pass name in TableGen TosaToLinalg","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg/0","title":"Beaver.MLIR.Conversion.tosa_to_linalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg/1","title":"Beaver.MLIR.Conversion.tosa_to_linalg/1","type":"function"},{"doc":"Lower TOSA to LinAlg named operations Argument name in MLIR CLI tosa-to-linalg-named Pass name in TableGen TosaToLinalgNamed","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg_named/0","title":"Beaver.MLIR.Conversion.tosa_to_linalg_named/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg_named/1","title":"Beaver.MLIR.Conversion.tosa_to_linalg_named/1","type":"function"},{"doc":"Lower TOSA to the SCF dialect Argument name in MLIR CLI tosa-to-scf Pass name in TableGen TosaToSCF","ref":"Beaver.MLIR.Conversion.html#tosa_to_scf/0","title":"Beaver.MLIR.Conversion.tosa_to_scf/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_scf/1","title":"Beaver.MLIR.Conversion.tosa_to_scf/1","type":"function"},{"doc":"Lower TOSA to the Tensor dialect Argument name in MLIR CLI tosa-to-tensor Pass name in TableGen TosaToTensor","ref":"Beaver.MLIR.Conversion.html#tosa_to_tensor/0","title":"Beaver.MLIR.Conversion.tosa_to_tensor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_tensor/1","title":"Beaver.MLIR.Conversion.tosa_to_tensor/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.DSL.Op.Registry.html","title":"Beaver.MLIR.DSL.Op.Registry","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Beaver.MLIR.DSL.Op.Registry.html#child_spec/1","title":"Beaver.MLIR.DSL.Op.Registry.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Beaver.MLIR.DSL.Op.Registry.html#init/1","title":"Beaver.MLIR.DSL.Op.Registry.init/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.DSL.Op.Registry.html#lookup/1","title":"Beaver.MLIR.DSL.Op.Registry.lookup/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.DSL.Op.Registry.html#register/2","title":"Beaver.MLIR.DSL.Op.Registry.register/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.DSL.Op.Registry.html#start_link/1","title":"Beaver.MLIR.DSL.Op.Registry.start_link/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Dialect.html","title":"Beaver.MLIR.Dialect","type":"module"},{"doc":"","ref":"Beaver.MLIR.Dialect.html#dialects/0","title":"Beaver.MLIR.Dialect.dialects/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.ExecutionEngine.html","title":"Beaver.MLIR.ExecutionEngine","type":"module"},{"doc":"Create a MLIR JIT engine for a module and check if successful. Usually this module should be of LLVM dialect.","ref":"Beaver.MLIR.ExecutionEngine.html#create!/1","title":"Beaver.MLIR.ExecutionEngine.create!/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.ExecutionEngine.html#create!/2","title":"Beaver.MLIR.ExecutionEngine.create!/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.ExecutionEngine.html#destroy/1","title":"Beaver.MLIR.ExecutionEngine.destroy/1","type":"function"},{"doc":"invoke a void function by symbol name.","ref":"Beaver.MLIR.ExecutionEngine.html#invoke!/3","title":"Beaver.MLIR.ExecutionEngine.invoke!/3","type":"function"},{"doc":"invoke a function by symbol name.","ref":"Beaver.MLIR.ExecutionEngine.html#invoke!/4","title":"Beaver.MLIR.ExecutionEngine.invoke!/4","type":"function"},{"doc":"","ref":"Beaver.MLIR.ExecutionEngine.html#is_null/1","title":"Beaver.MLIR.ExecutionEngine.is_null/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.ExternalPass.html","title":"Beaver.MLIR.ExternalPass","type":"module"},{"doc":"Lower level API to work with MLIR's external pass (pass defined in C). Use Beaver.MLIR.Pass for idiomatic Erlang behavior.","ref":"Beaver.MLIR.ExternalPass.html#__struct__/0","title":"Beaver.MLIR.ExternalPass.__struct__/0","type":"function"},{"doc":"Create a pass by passing a callback module","ref":"Beaver.MLIR.ExternalPass.html#create/2","title":"Beaver.MLIR.ExternalPass.create/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Location.html","title":"Beaver.MLIR.Location","type":"module"},{"doc":"Get a location of file line. Column is zero by default because in Elixir it is usually omitted. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; MLIR.Location . file ( name : &quot;filename&quot; , line : 1 , column : 1 , ctx : ctx ) |&gt; MLIR . to_string ( ) ~s{loc(&quot;filename&quot;:1:1)} iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Location.html#file/1","title":"Beaver.MLIR.Location.file/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Location.html#unknown/1","title":"Beaver.MLIR.Location.unknown/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.LogicalResult.html","title":"Beaver.MLIR.LogicalResult","type":"module"},{"doc":"","ref":"Beaver.MLIR.LogicalResult.html#success?/1","title":"Beaver.MLIR.LogicalResult.success?/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html","title":"Beaver.MLIR.Module","type":"module"},{"doc":"","ref":"Beaver.MLIR.Module.html#array/2","title":"Beaver.MLIR.Module.array/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html#create!/2","title":"Beaver.MLIR.Module.create!/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html#create/2","title":"Beaver.MLIR.Module.create/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html#destroy/1","title":"Beaver.MLIR.Module.destroy/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html#is_null/1","title":"Beaver.MLIR.Module.is_null/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html#make/1","title":"Beaver.MLIR.Module.make/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Module.html#verify!/1","title":"Beaver.MLIR.Module.verify!/1","type":"function"},{"doc":"ODS helper functions to work with special concepts in ODS.","ref":"Beaver.MLIR.ODS.html","title":"Beaver.MLIR.ODS","type":"module"},{"doc":"Generate attribute for operand_segment_sizes","ref":"Beaver.MLIR.ODS.html#operand_segment_sizes/1","title":"Beaver.MLIR.ODS.operand_segment_sizes/1","type":"function"},{"doc":"See Beaver.MLIR.ODS.operand_segment_sizes/1 .","ref":"Beaver.MLIR.ODS.html#result_segment_sizes/1","title":"Beaver.MLIR.ODS.result_segment_sizes/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html","title":"Beaver.MLIR.Operation","type":"module"},{"doc":"Create a new operation from a operation state","ref":"Beaver.MLIR.Operation.html#create/1","title":"Beaver.MLIR.Operation.create/1","type":"function"},{"doc":"Create a new operation from arguments and insert to managed insertion point","ref":"Beaver.MLIR.Operation.html#create/2","title":"Beaver.MLIR.Operation.create/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#create_and_append/4","title":"Beaver.MLIR.Operation.create_and_append/4","type":"function"},{"doc":"Verify the op and dump it. It raises if the verification fails.","ref":"Beaver.MLIR.Operation.html#dump!/1","title":"Beaver.MLIR.Operation.dump!/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#dump/1","title":"Beaver.MLIR.Operation.dump/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#from_module/1","title":"Beaver.MLIR.Operation.from_module/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#name/1","title":"Beaver.MLIR.Operation.name/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#results/1","title":"Beaver.MLIR.Operation.results/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#verify!/2","title":"Beaver.MLIR.Operation.verify!/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.html#verify/2","title":"Beaver.MLIR.Operation.verify/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.State.html","title":"Beaver.MLIR.Operation.State","type":"module"},{"doc":"Add an ODS argument to state.","ref":"Beaver.MLIR.Operation.State.html#add_argument/2","title":"Beaver.MLIR.Operation.State.add_argument/2","type":"function"},{"doc":"Create a new operation state in MLIR CAPI.","ref":"Beaver.MLIR.Operation.State.html#create/1","title":"Beaver.MLIR.Operation.State.create/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Operation.State.html#t:argument/0","title":"Beaver.MLIR.Operation.State.argument/0","type":"type"},{"doc":"","ref":"Beaver.MLIR.Operation.State.html#t:t/0","title":"Beaver.MLIR.Operation.State.t/0","type":"type"},{"doc":"","ref":"Beaver.MLIR.Pass.html","title":"Beaver.MLIR.Pass","type":"behaviour"},{"doc":"","ref":"Beaver.MLIR.Pass.html#array/2","title":"Beaver.MLIR.Pass.array/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.html#get_op_name/1","title":"Beaver.MLIR.Pass.get_op_name/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.html#make/1","title":"Beaver.MLIR.Pass.make/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.html#pipeline!/2","title":"Beaver.MLIR.Pass.pipeline!/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.html#c:run/1","title":"Beaver.MLIR.Pass.run/1","type":"callback"},{"doc":"This module provide functions to compose passes.","ref":"Beaver.MLIR.Pass.Composer.html","title":"Beaver.MLIR.Pass.Composer","type":"module"},{"doc":"","ref":"Beaver.MLIR.Pass.Composer.html#add/2","title":"Beaver.MLIR.Pass.Composer.add/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.Composer.html#nested/3","title":"Beaver.MLIR.Pass.Composer.nested/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.Composer.html#pipeline/2","title":"Beaver.MLIR.Pass.Composer.pipeline/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pass.Composer.html#run!/2","title":"Beaver.MLIR.Pass.Composer.run!/2","type":"function"},{"doc":"server to forward invoking from C to a Elixir module","ref":"Beaver.MLIR.Pass.Server.html","title":"Beaver.MLIR.Pass.Server","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Beaver.MLIR.Pass.Server.html#child_spec/1","title":"Beaver.MLIR.Pass.Server.child_spec/1","type":"function"},{"doc":"Although this module is MLIR.Pattern , at this point it is a synonym of PDL patterns. Pattern-matching is done by MLIR which works in a different way from Erlang pattern-matching. The major difference is that MLIR pattern-matching will greedily match the patterns and maximize the benifit. Compiled patterns will be saved as module attributes in MLIR assembly format.","ref":"Beaver.MLIR.Pattern.html","title":"Beaver.MLIR.Pattern","type":"module"},{"doc":"Apply patterns on a container (region, operation, module). It returns the container if it succeeds otherwise it raises.","ref":"Beaver.MLIR.Pattern.html#apply!/2","title":"Beaver.MLIR.Pattern.apply!/2","type":"function"},{"doc":"Apply patterns on a container (region, operation, module). It is named apply_ with a underscore to avoid name collision with Kernel.apply/2","ref":"Beaver.MLIR.Pattern.html#apply_/2","title":"Beaver.MLIR.Pattern.apply_/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Pattern.html#from_string/2","title":"Beaver.MLIR.Pattern.from_string/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Region.html","title":"Beaver.MLIR.Region","type":"module"},{"doc":"","ref":"Beaver.MLIR.Region.html#under/2","title":"Beaver.MLIR.Region.under/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Sigils.html","title":"Beaver.MLIR.Sigils","type":"module"},{"doc":"Create an attribute creator. You might add a modifier to it as a shortcut to annotate the type Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; Attribute . equal? ( Attribute . float ( Type . f ( 32 ) , 0.0 ) . ( ctx ) , ~a{0.0}f32 . ( ctx ) ) true iex&gt; ~a{1 : i32} . ( ctx ) |&gt; MLIR . to_string ( ) &quot;1 : i32&quot; iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Sigils.html#sigil_a/2","title":"Beaver.MLIR.Sigils.sigil_a/2","type":"function"},{"doc":"Create a module creator. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; % MLIR.Module { } = ~m&quot;&quot;&quot; ...&gt; module { ...&gt; func.func @add(%arg0 : i32, %arg1 : i32) -&gt; i32 attributes { llvm.emit_c_interface } { ...&gt; %res = arith.addi %arg0, %arg1 : i32 ...&gt; return %res : i32 ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; . ( ctx ) |&gt; MLIR.Operation . verify! ( ) iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Sigils.html#sigil_m/2","title":"Beaver.MLIR.Sigils.sigil_m/2","type":"function"},{"doc":"Create a type creator. You might add a modifier to it as a shortcut to make it a higher order type. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; Type . equal? ( Type . unranked_tensor ( Type . f32 ( ) ) . ( ctx ) , ~t{tensor&lt;*xf32&gt;} . ( ctx ) ) true iex&gt; Type . equal? ( Type . complex ( Type . f32 ( ) ) . ( ctx ) , ~t&lt;f32&gt;complex . ( ctx ) ) true iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Sigils.html#sigil_t/2","title":"Beaver.MLIR.Sigils.sigil_t/2","type":"function"},{"doc":"StringRef is very common in LLVM projects. It is a wrapper of a C string. This function will create a Elixir owned C string from a Elixir bitstring and create a StringRef from it. StringRef will keep a reference to the C string to prevent it from being garbage collected by BEAM.","ref":"Beaver.MLIR.StringRef.html","title":"Beaver.MLIR.StringRef","type":"module"},{"doc":"","ref":"Beaver.MLIR.StringRef.html#create/1","title":"Beaver.MLIR.StringRef.create/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.StringRef.html#extract/1","title":"Beaver.MLIR.StringRef.extract/1","type":"function"},{"doc":"Transformations MLIR provides by default.","ref":"Beaver.MLIR.Transforms.html","title":"Beaver.MLIR.Transforms","type":"module"},{"doc":"Canonicalize operations Argument name in MLIR CLI canonicalize Pass name in TableGen Canonicalizer","ref":"Beaver.MLIR.Transforms.html#canonicalize/0","title":"Beaver.MLIR.Transforms.canonicalize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#canonicalize/1","title":"Beaver.MLIR.Transforms.canonicalize/1","type":"function"},{"doc":"Sink operations into conditional blocks Argument name in MLIR CLI control-flow-sink Pass name in TableGen ControlFlowSink","ref":"Beaver.MLIR.Transforms.html#control_flow_sink/0","title":"Beaver.MLIR.Transforms.control_flow_sink/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#control_flow_sink/1","title":"Beaver.MLIR.Transforms.control_flow_sink/1","type":"function"},{"doc":"Convert ElementwiseMappable ops to linalg Argument name in MLIR CLI convert-elementwise-to-linalg Pass name in TableGen ConvertElementwiseToLinalg","ref":"Beaver.MLIR.Transforms.html#convert_elementwise_to_linalg/0","title":"Beaver.MLIR.Transforms.convert_elementwise_to_linalg/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#convert_elementwise_to_linalg/1","title":"Beaver.MLIR.Transforms.convert_elementwise_to_linalg/1","type":"function"},{"doc":"Lower the operations from the linalg dialect into affine loops Argument name in MLIR CLI convert-linalg-to-affine-loops Pass name in TableGen LinalgLowerToAffineLoops","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_affine_loops/0","title":"Beaver.MLIR.Transforms.convert_linalg_to_affine_loops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_affine_loops/1","title":"Beaver.MLIR.Transforms.convert_linalg_to_affine_loops/1","type":"function"},{"doc":"Lower the operations from the linalg dialect into loops Argument name in MLIR CLI convert-linalg-to-loops Pass name in TableGen LinalgLowerToLoops","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_loops/0","title":"Beaver.MLIR.Transforms.convert_linalg_to_loops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_loops/1","title":"Beaver.MLIR.Transforms.convert_linalg_to_loops/1","type":"function"},{"doc":"Lower the operations from the linalg dialect into parallel loops Argument name in MLIR CLI convert-linalg-to-parallel-loops Pass name in TableGen LinalgLowerToParallelLoops","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_parallel_loops/0","title":"Beaver.MLIR.Transforms.convert_linalg_to_parallel_loops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_parallel_loops/1","title":"Beaver.MLIR.Transforms.convert_linalg_to_parallel_loops/1","type":"function"},{"doc":"Eliminate common sub-expressions Argument name in MLIR CLI cse Pass name in TableGen CSE","ref":"Beaver.MLIR.Transforms.html#cse/0","title":"Beaver.MLIR.Transforms.cse/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#cse/1","title":"Beaver.MLIR.Transforms.cse/1","type":"function"},{"doc":"Make GPU ops async Argument name in MLIR CLI gpu-async-region Pass name in TableGen GpuAsyncRegionPass","ref":"Beaver.MLIR.Transforms.html#gpu_async_region/0","title":"Beaver.MLIR.Transforms.gpu_async_region/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_async_region/1","title":"Beaver.MLIR.Transforms.gpu_async_region/1","type":"function"},{"doc":"Outline gpu.launch bodies to kernel functions Argument name in MLIR CLI gpu-kernel-outlining Pass name in TableGen GpuKernelOutlining","ref":"Beaver.MLIR.Transforms.html#gpu_kernel_outlining/0","title":"Beaver.MLIR.Transforms.gpu_kernel_outlining/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_kernel_outlining/1","title":"Beaver.MLIR.Transforms.gpu_kernel_outlining/1","type":"function"},{"doc":"Sink index computations into gpu.launch body Argument name in MLIR CLI gpu-launch-sink-index-computations Pass name in TableGen GpuLaunchSinkIndexComputations","ref":"Beaver.MLIR.Transforms.html#gpu_launch_sink_index_computations/0","title":"Beaver.MLIR.Transforms.gpu_launch_sink_index_computations/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_launch_sink_index_computations/1","title":"Beaver.MLIR.Transforms.gpu_launch_sink_index_computations/1","type":"function"},{"doc":"Greedily maps loops to GPU hardware dimensions. Argument name in MLIR CLI gpu-map-parallel-loops Pass name in TableGen GpuMapParallelLoopsPass","ref":"Beaver.MLIR.Transforms.html#gpu_map_parallel_loops/0","title":"Beaver.MLIR.Transforms.gpu_map_parallel_loops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_map_parallel_loops/1","title":"Beaver.MLIR.Transforms.gpu_map_parallel_loops/1","type":"function"},{"doc":"Inline function calls Argument name in MLIR CLI inline Pass name in TableGen Inliner","ref":"Beaver.MLIR.Transforms.html#inline/0","title":"Beaver.MLIR.Transforms.inline/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#inline/1","title":"Beaver.MLIR.Transforms.inline/1","type":"function"},{"doc":"Bufferize the linalg dialect Argument name in MLIR CLI linalg-bufferize Pass name in TableGen LinalgBufferize","ref":"Beaver.MLIR.Transforms.html#linalg_bufferize/0","title":"Beaver.MLIR.Transforms.linalg_bufferize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_bufferize/1","title":"Beaver.MLIR.Transforms.linalg_bufferize/1","type":"function"},{"doc":"Detensorize linalg ops Argument name in MLIR CLI linalg-detensorize Pass name in TableGen LinalgDetensorize","ref":"Beaver.MLIR.Transforms.html#linalg_detensorize/0","title":"Beaver.MLIR.Transforms.linalg_detensorize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_detensorize/1","title":"Beaver.MLIR.Transforms.linalg_detensorize/1","type":"function"},{"doc":"Remove unit-extent dimension in Linalg ops on tensors Argument name in MLIR CLI linalg-fold-unit-extent-dims Pass name in TableGen LinalgFoldUnitExtentDims","ref":"Beaver.MLIR.Transforms.html#linalg_fold_unit_extent_dims/0","title":"Beaver.MLIR.Transforms.linalg_fold_unit_extent_dims/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_fold_unit_extent_dims/1","title":"Beaver.MLIR.Transforms.linalg_fold_unit_extent_dims/1","type":"function"},{"doc":"Fuse elementwise operations on tensors Argument name in MLIR CLI linalg-fuse-elementwise-ops Pass name in TableGen LinalgElementwiseOpFusion","ref":"Beaver.MLIR.Transforms.html#linalg_fuse_elementwise_ops/0","title":"Beaver.MLIR.Transforms.linalg_fuse_elementwise_ops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_fuse_elementwise_ops/1","title":"Beaver.MLIR.Transforms.linalg_fuse_elementwise_ops/1","type":"function"},{"doc":"Convert named ops into generic ops Argument name in MLIR CLI linalg-generalize-named-ops Pass name in TableGen LinalgGeneralization","ref":"Beaver.MLIR.Transforms.html#linalg_generalize_named_ops/0","title":"Beaver.MLIR.Transforms.linalg_generalize_named_ops/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_generalize_named_ops/1","title":"Beaver.MLIR.Transforms.linalg_generalize_named_ops/1","type":"function"},{"doc":"Replace all init_tensor ops by alloc_tensor ops. Argument name in MLIR CLI linalg-init-tensor-to-alloc-tensor Pass name in TableGen LinalgInitTensorToAllocTensor","ref":"Beaver.MLIR.Transforms.html#linalg_init_tensor_to_alloc_tensor/0","title":"Beaver.MLIR.Transforms.linalg_init_tensor_to_alloc_tensor/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_init_tensor_to_alloc_tensor/1","title":"Beaver.MLIR.Transforms.linalg_init_tensor_to_alloc_tensor/1","type":"function"},{"doc":"Inline scalar operands into linalg generic ops Argument name in MLIR CLI linalg-inline-scalar-operands Pass name in TableGen LinalgInlineScalarOperands","ref":"Beaver.MLIR.Transforms.html#linalg_inline_scalar_operands/0","title":"Beaver.MLIR.Transforms.linalg_inline_scalar_operands/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_inline_scalar_operands/1","title":"Beaver.MLIR.Transforms.linalg_inline_scalar_operands/1","type":"function"},{"doc":"Convert from one named linalg op to another. Argument name in MLIR CLI linalg-named-op-conversion Pass name in TableGen LinalgNamedOpConversion","ref":"Beaver.MLIR.Transforms.html#linalg_named_op_conversion/0","title":"Beaver.MLIR.Transforms.linalg_named_op_conversion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_named_op_conversion/1","title":"Beaver.MLIR.Transforms.linalg_named_op_conversion/1","type":"function"},{"doc":"Configurable pass to apply pattern-based generalization. Argument name in MLIR CLI linalg-strategy-decompose-pass Pass name in TableGen LinalgStrategyDecomposePass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_decompose_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_decompose_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_decompose_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_decompose_pass/1","type":"function"},{"doc":"Configurable pass to lower vector operations. Argument name in MLIR CLI linalg-strategy-lower-vectors-pass Pass name in TableGen LinalgStrategyLowerVectorsPass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_lower_vectors_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_lower_vectors_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_lower_vectors_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_lower_vectors_pass/1","type":"function"},{"doc":"Configurable pass to apply padding and hoisting. Argument name in MLIR CLI linalg-strategy-pad-pass Pass name in TableGen LinalgStrategyPadPass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_pad_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_pad_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_pad_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_pad_pass/1","type":"function"},{"doc":"Configurable pass to apply pattern-based linalg peeling. Argument name in MLIR CLI linalg-strategy-peel-pass Pass name in TableGen LinalgStrategyPeelPass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_peel_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_peel_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_peel_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_peel_pass/1","type":"function"},{"doc":"Cleanup pass that drops markers. Argument name in MLIR CLI linalg-strategy-remove-markers-pass Pass name in TableGen LinalgStrategyRemoveMarkersPass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_remove_markers_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_remove_markers_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_remove_markers_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_remove_markers_pass/1","type":"function"},{"doc":"Configurable pass to apply pattern-based tiling and fusion. Argument name in MLIR CLI linalg-strategy-tile-and-fuse-pass Pass name in TableGen LinalgStrategyTileAndFusePass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_tile_and_fuse_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_tile_and_fuse_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_tile_and_fuse_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_tile_and_fuse_pass/1","type":"function"},{"doc":"Configurable pass to apply pattern-based linalg tiling. Argument name in MLIR CLI linalg-strategy-tile-pass Pass name in TableGen LinalgStrategyTilePass","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_tile_pass/0","title":"Beaver.MLIR.Transforms.linalg_strategy_tile_pass/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_strategy_tile_pass/1","title":"Beaver.MLIR.Transforms.linalg_strategy_tile_pass/1","type":"function"},{"doc":"Tile operations in the linalg dialect Argument name in MLIR CLI linalg-tile Pass name in TableGen LinalgTilingPass","ref":"Beaver.MLIR.Transforms.html#linalg_tile/0","title":"Beaver.MLIR.Transforms.linalg_tile/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_tile/1","title":"Beaver.MLIR.Transforms.linalg_tile/1","type":"function"},{"doc":"Hoist loop invariant instructions outside of the loop Argument name in MLIR CLI loop-invariant-code-motion Pass name in TableGen LoopInvariantCodeMotion","ref":"Beaver.MLIR.Transforms.html#loop_invariant_code_motion/0","title":"Beaver.MLIR.Transforms.loop_invariant_code_motion/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#loop_invariant_code_motion/1","title":"Beaver.MLIR.Transforms.loop_invariant_code_motion/1","type":"function"},{"doc":"Print statistics of operations Argument name in MLIR CLI print-op-stats Pass name in TableGen PrintOpStats","ref":"Beaver.MLIR.Transforms.html#print_op_stats/0","title":"Beaver.MLIR.Transforms.print_op_stats/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#print_op_stats/1","title":"Beaver.MLIR.Transforms.print_op_stats/1","type":"function"},{"doc":"Sparse Conditional Constant Propagation Argument name in MLIR CLI sccp Pass name in TableGen SCCP","ref":"Beaver.MLIR.Transforms.html#sccp/0","title":"Beaver.MLIR.Transforms.sccp/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#sccp/1","title":"Beaver.MLIR.Transforms.sccp/1","type":"function"},{"doc":"Generate new locations from the current IR Argument name in MLIR CLI snapshot-op-locations Pass name in TableGen LocationSnapshot","ref":"Beaver.MLIR.Transforms.html#snapshot_op_locations/0","title":"Beaver.MLIR.Transforms.snapshot_op_locations/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#snapshot_op_locations/1","title":"Beaver.MLIR.Transforms.snapshot_op_locations/1","type":"function"},{"doc":"Strip debug info from all operations Argument name in MLIR CLI strip-debuginfo Pass name in TableGen StripDebugInfo","ref":"Beaver.MLIR.Transforms.html#strip_debuginfo/0","title":"Beaver.MLIR.Transforms.strip_debuginfo/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#strip_debuginfo/1","title":"Beaver.MLIR.Transforms.strip_debuginfo/1","type":"function"},{"doc":"Eliminate dead symbols Argument name in MLIR CLI symbol-dce Pass name in TableGen SymbolDCE","ref":"Beaver.MLIR.Transforms.html#symbol_dce/0","title":"Beaver.MLIR.Transforms.symbol_dce/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#symbol_dce/1","title":"Beaver.MLIR.Transforms.symbol_dce/1","type":"function"},{"doc":"Mark symbols private Argument name in MLIR CLI symbol-privatize Pass name in TableGen SymbolPrivatize","ref":"Beaver.MLIR.Transforms.html#symbol_privatize/0","title":"Beaver.MLIR.Transforms.symbol_privatize/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#symbol_privatize/1","title":"Beaver.MLIR.Transforms.symbol_privatize/1","type":"function"},{"doc":"Sort regions without SSA dominance in topological order Argument name in MLIR CLI topological-sort Pass name in TableGen TopologicalSort","ref":"Beaver.MLIR.Transforms.html#topological_sort/0","title":"Beaver.MLIR.Transforms.topological_sort/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#topological_sort/1","title":"Beaver.MLIR.Transforms.topological_sort/1","type":"function"},{"doc":"Print Graphviz visualization of an operation Argument name in MLIR CLI view-op-graph Pass name in TableGen ViewOpGraph","ref":"Beaver.MLIR.Transforms.html#view_op_graph/0","title":"Beaver.MLIR.Transforms.view_op_graph/0","type":"function"},{"doc":"","ref":"Beaver.MLIR.Transforms.html#view_op_graph/1","title":"Beaver.MLIR.Transforms.view_op_graph/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html","title":"Beaver.MLIR.Type","type":"module"},{"doc":"","ref":"Beaver.MLIR.Type.html#complex/1","title":"Beaver.MLIR.Type.complex/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#equal?/2","title":"Beaver.MLIR.Type.equal?/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#f16/1","title":"Beaver.MLIR.Type.f16/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#f32/1","title":"Beaver.MLIR.Type.f32/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#f64/1","title":"Beaver.MLIR.Type.f64/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#f/2","title":"Beaver.MLIR.Type.f/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#function/3","title":"Beaver.MLIR.Type.function/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#get/2","title":"Beaver.MLIR.Type.get/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#i1/1","title":"Beaver.MLIR.Type.i1/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#i8/1","title":"Beaver.MLIR.Type.i8/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#i16/1","title":"Beaver.MLIR.Type.i16/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#i32/1","title":"Beaver.MLIR.Type.i32/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#i64/1","title":"Beaver.MLIR.Type.i64/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#i128/1","title":"Beaver.MLIR.Type.i128/1","type":"function"},{"doc":"See Beaver.MLIR.Type.integer/2 .","ref":"Beaver.MLIR.Type.html#i/2","title":"Beaver.MLIR.Type.i/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#index/1","title":"Beaver.MLIR.Type.index/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#integer/2","title":"Beaver.MLIR.Type.integer/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#memref/3","title":"Beaver.MLIR.Type.memref/3","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#ranked_tensor/3","title":"Beaver.MLIR.Type.ranked_tensor/3","type":"function"},{"doc":"Get a tuple type. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; MLIR.Type . tuple ( [ MLIR.Type . i32 , MLIR.Type . i32 ] , ctx : ctx ) |&gt; MLIR . to_string ( ) &quot;tuple&lt;i32, i32&gt;&quot; iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Type.html#tuple/2","title":"Beaver.MLIR.Type.tuple/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Type.html#unranked_tensor/1","title":"Beaver.MLIR.Type.unranked_tensor/1","type":"function"},{"doc":"Get a vector type creator. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; MLIR.Type . vector ( [ 1 , 2 , 3 ] , MLIR.Type . i32 ) . ( ctx ) |&gt; MLIR . to_string ( ) &quot;vector&lt;1x2x3xi32&gt;&quot; iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Type.html#vector/2","title":"Beaver.MLIR.Type.vector/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Value.html","title":"Beaver.MLIR.Value","type":"module"},{"doc":"","ref":"Beaver.MLIR.Value.html#argument?/1","title":"Beaver.MLIR.Value.argument?/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Value.html#array/2","title":"Beaver.MLIR.Value.array/2","type":"function"},{"doc":"","ref":"Beaver.MLIR.Value.html#make/1","title":"Beaver.MLIR.Value.make/1","type":"function"},{"doc":"Return the defining op of this value if this value is a result","ref":"Beaver.MLIR.Value.html#owner/1","title":"Beaver.MLIR.Value.owner/1","type":"function"},{"doc":"Returns true if the value is a result of an operation.","ref":"Beaver.MLIR.Value.html#result?/1","title":"Beaver.MLIR.Value.result?/1","type":"function"},{"doc":"","ref":"Beaver.MLIR.Value.html#t:t/0","title":"Beaver.MLIR.Value.t/0","type":"type"},{"doc":"This module provide higher level interface to primitive data types and MemRefDescriptor C struct in MemRef dialect. It aims to manage memory with BEAM utility like ets and help a Erlang/Elixir function play well with function generated by MLIR and other NIFs.","ref":"Beaver.Native.html","title":"Beaver.Native","type":"module"},{"doc":"","ref":"Beaver.Native.html#array/3","title":"Beaver.Native.array/3","type":"function"},{"doc":"","ref":"Beaver.Native.html#bag/2","title":"Beaver.Native.bag/2","type":"function"},{"doc":"","ref":"Beaver.Native.html#c_string/1","title":"Beaver.Native.c_string/1","type":"function"},{"doc":"","ref":"Beaver.Native.html#check!/1","title":"Beaver.Native.check!/1","type":"function"},{"doc":"","ref":"Beaver.Native.html#dump/1","title":"Beaver.Native.dump/1","type":"function"},{"doc":"","ref":"Beaver.Native.html#forward/3","title":"Beaver.Native.forward/3","type":"function"},{"doc":"","ref":"Beaver.Native.html#opaque_ptr/1","title":"Beaver.Native.opaque_ptr/1","type":"function"},{"doc":"","ref":"Beaver.Native.html#ptr/1","title":"Beaver.Native.ptr/1","type":"function"},{"doc":"","ref":"Beaver.Native.html#to_term/1","title":"Beaver.Native.to_term/1","type":"function"},{"doc":"","ref":"Beaver.Native.Array.html","title":"Beaver.Native.Array","type":"module"},{"doc":"","ref":"Beaver.Native.Array.html#as_opaque/1","title":"Beaver.Native.Array.as_opaque/1","type":"function"},{"doc":"","ref":"Beaver.Native.Bool.html","title":"Beaver.Native.Bool","type":"module"},{"doc":"","ref":"Beaver.Native.Bool.html#array/2","title":"Beaver.Native.Bool.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.Bool.html#make/1","title":"Beaver.Native.Bool.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.C.String.html","title":"Beaver.Native.C.String","type":"module"},{"doc":"","ref":"Beaver.Native.C.String.html#as_u8_array/1","title":"Beaver.Native.C.String.as_u8_array/1","type":"function"},{"doc":"","ref":"Beaver.Native.CInt.html","title":"Beaver.Native.CInt","type":"module"},{"doc":"","ref":"Beaver.Native.CInt.html#array/2","title":"Beaver.Native.CInt.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.CInt.html#make/1","title":"Beaver.Native.CInt.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.CUInt.html","title":"Beaver.Native.CUInt","type":"module"},{"doc":"","ref":"Beaver.Native.CUInt.html#array/2","title":"Beaver.Native.CUInt.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.CUInt.html#make/1","title":"Beaver.Native.CUInt.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.Complex.F32.html","title":"Beaver.Native.Complex.F32","type":"module"},{"doc":"","ref":"Beaver.Native.Complex.F32.html#array/2","title":"Beaver.Native.Complex.F32.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.Complex.F32.html#make/1","title":"Beaver.Native.Complex.F32.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.F32.html","title":"Beaver.Native.F32","type":"module"},{"doc":"","ref":"Beaver.Native.F32.html#array/2","title":"Beaver.Native.F32.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.F32.html#make/1","title":"Beaver.Native.F32.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.F64.html","title":"Beaver.Native.F64","type":"module"},{"doc":"","ref":"Beaver.Native.F64.html#array/2","title":"Beaver.Native.F64.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.F64.html#make/1","title":"Beaver.Native.F64.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.I16.html","title":"Beaver.Native.I16","type":"module"},{"doc":"","ref":"Beaver.Native.I16.html#array/2","title":"Beaver.Native.I16.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.I16.html#make/1","title":"Beaver.Native.I16.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.I32.html","title":"Beaver.Native.I32","type":"module"},{"doc":"","ref":"Beaver.Native.I32.html#array/2","title":"Beaver.Native.I32.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.I32.html#make/1","title":"Beaver.Native.I32.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.I64.html","title":"Beaver.Native.I64","type":"module"},{"doc":"","ref":"Beaver.Native.I64.html#array/2","title":"Beaver.Native.I64.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.I64.html#make/1","title":"Beaver.Native.I64.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.I8.html","title":"Beaver.Native.I8","type":"module"},{"doc":"","ref":"Beaver.Native.I8.html#array/2","title":"Beaver.Native.I8.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.I8.html#make/1","title":"Beaver.Native.I8.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.ISize.html","title":"Beaver.Native.ISize","type":"module"},{"doc":"","ref":"Beaver.Native.ISize.html#array/2","title":"Beaver.Native.ISize.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.ISize.html#make/1","title":"Beaver.Native.ISize.make/1","type":"function"},{"doc":"A piece of memory managed by BEAM and can by addressed by a generated native function as MLIR MemRef descriptor","ref":"Beaver.Native.Memory.html","title":"Beaver.Native.Memory","type":"module"},{"doc":"return a opaque pointer to the memory","ref":"Beaver.Native.Memory.html#aligned/1","title":"Beaver.Native.Memory.aligned/1","type":"function"},{"doc":"","ref":"Beaver.Native.Memory.html#allocated/1","title":"Beaver.Native.Memory.allocated/1","type":"function"},{"doc":"","ref":"Beaver.Native.Memory.html#dense_strides/1","title":"Beaver.Native.Memory.dense_strides/1","type":"function"},{"doc":"return a opaque pointer to the memory descriptor. Usually used in the invoking of a generated function. If it is a array, will return the pointer of the array to mimic a struct of packed memory descriptors","ref":"Beaver.Native.Memory.html#descriptor_ptr/1","title":"Beaver.Native.Memory.descriptor_ptr/1","type":"function"},{"doc":"","ref":"Beaver.Native.Memory.html#new/2","title":"Beaver.Native.Memory.new/2","type":"function"},{"doc":"take ownership of the memory the descriptor points to","ref":"Beaver.Native.Memory.html#own_allocated/1","title":"Beaver.Native.Memory.own_allocated/1","type":"function"},{"doc":"","ref":"Beaver.Native.Memory.Descriptor.html","title":"Beaver.Native.Memory.Descriptor","type":"module"},{"doc":"","ref":"Beaver.Native.Memory.Descriptor.html#array/2","title":"Beaver.Native.Memory.Descriptor.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.Memory.Descriptor.html#make/2","title":"Beaver.Native.Memory.Descriptor.make/2","type":"function"},{"doc":"","ref":"Beaver.Native.OpaqueArray.html","title":"Beaver.Native.OpaqueArray","type":"module"},{"doc":"","ref":"Beaver.Native.OpaqueArray.html#array/2","title":"Beaver.Native.OpaqueArray.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.OpaqueArray.html#make/1","title":"Beaver.Native.OpaqueArray.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.OpaquePtr.html","title":"Beaver.Native.OpaquePtr","type":"module"},{"doc":"","ref":"Beaver.Native.OpaquePtr.html#array/2","title":"Beaver.Native.OpaquePtr.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.OpaquePtr.html#make/1","title":"Beaver.Native.OpaquePtr.make/1","type":"function"},{"doc":"read the N bytes starting from the pointer and returns an Erlang binary","ref":"Beaver.Native.OpaquePtr.html#to_binary/2","title":"Beaver.Native.OpaquePtr.to_binary/2","type":"function"},{"doc":"read the N bytes starting from the pointer and return a resource","ref":"Beaver.Native.OpaquePtr.html#to_resource/3","title":"Beaver.Native.OpaquePtr.to_resource/3","type":"function"},{"doc":"","ref":"Beaver.Native.Ptr.html","title":"Beaver.Native.Ptr","type":"module"},{"doc":"owning a pointer resource and delete it when BEAM collect the resource term","ref":"Beaver.Native.PtrOwner.html","title":"Beaver.Native.PtrOwner","type":"module"},{"doc":"","ref":"Beaver.Native.PtrOwner.html#new/1","title":"Beaver.Native.PtrOwner.new/1","type":"function"},{"doc":"","ref":"Beaver.Native.U16.html","title":"Beaver.Native.U16","type":"module"},{"doc":"","ref":"Beaver.Native.U16.html#array/2","title":"Beaver.Native.U16.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.U16.html#make/1","title":"Beaver.Native.U16.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.U32.html","title":"Beaver.Native.U32","type":"module"},{"doc":"","ref":"Beaver.Native.U32.html#array/2","title":"Beaver.Native.U32.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.U32.html#make/1","title":"Beaver.Native.U32.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.U64.html","title":"Beaver.Native.U64","type":"module"},{"doc":"","ref":"Beaver.Native.U64.html#array/2","title":"Beaver.Native.U64.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.U64.html#make/1","title":"Beaver.Native.U64.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.U8.html","title":"Beaver.Native.U8","type":"module"},{"doc":"","ref":"Beaver.Native.U8.html#array/2","title":"Beaver.Native.U8.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.U8.html#make/1","title":"Beaver.Native.U8.make/1","type":"function"},{"doc":"","ref":"Beaver.Native.USize.html","title":"Beaver.Native.USize","type":"module"},{"doc":"","ref":"Beaver.Native.USize.html#array/2","title":"Beaver.Native.USize.array/2","type":"function"},{"doc":"","ref":"Beaver.Native.USize.html#make/1","title":"Beaver.Native.USize.make/1","type":"function"},{"doc":"Beaver is a toolkit to build MLIR-based compilers with Elixir. By distilling all the amazing features of MLIR in idiomatic Erlang/Elixir, the functional programming in it makes the &quot;progressive lowering&quot; philosophy of MLIR shine!","ref":"introducing-beaver.html","title":"Introducing Beaver 🦫","type":"extras"},{"doc":"Being this special mixture of Erlang/Elixir and LLVM/MLIR, Beaver should enable some amazing innovations in the machine learning world. Neural network looks like a network IMO, lots of figures deposit the neural network algorithm in a pretty deceptive way by portraying it as a network. It is not the case. Information flow in an artificial neural network (ANN) is very directive. It doesn't have the interconnection a real biology neural network (BNN) has among its neurons. It's been ten years since the AlexNet breakthrough, maybe we should start building something dramatically different from ANN and looks like BNN. The programming language and paradigm widely used in ML could be limiting us here. They are sequential and imperative. They are not built with concurrency in mind, like how a real network works: the information flows in all directions and gets exchanged freely at an ultra-high frequency. In contrast, being invented by a physicist, Erlang was built to represent and emulate the concurrency nature of real-world physical laws. Even running on a single node, Erlang can easily keep tens of thousands of connections simultaneously. How about letting it run a neural network processing data from 100 cameras on a self-driving car? Built for software 2.0 As a programming language with strong meta-programming capability, Elixir itself and many popular Elixir libraries are built with meta-programming. So it is just natural to insert some AI-generated code into an Elixir AST as if it is inserted by a macro written by a human. We could introduce different AI-guided transformations on different levels of code/IR including Elixir AST or MLIR and reuse all the existing checks and verifications in the Elixir compiler and MLIR dialects. What's even better, all these codes can be fed to LLVM and generate the code that can run on any CPU/GPU/accelerator. Prolog root and symbolic AI Erlang/Elixir could be the only mainstream/kind of popular programming language that still keeps the symbolic AI vibe that Prolog once pioneered. After 30 years of evolvement, there are already well-established design patterns, and best practices in Erlang/Elixir community to write software in this Prolog-clause style. What Beaver does is to to do is to extend this clause-based programming style by compiling some Elixir code to tensor representation and using MLIR to generate CPU/GPU code. so that human-written and readable code can work with neural networks of tensors. Fault-tolerance and distributed systems As the size of parameters of SOTA models grows to billions and trillions, it is quite scary that there is almost no serious fault tolerance in ML. With Erlang, we could have runtime fault-tolerance by applying the &quot;let it crash&quot; philosophy. This means that the AI system we are going to build with Beaver will allow errors during training or inference. What is more exciting is that the error message of a failure can get propagated into the learning itself. As for Erlang itself, what's cool is that now we can add a compiler for Erlang distribution. We can represent the distribution and communications with MLIR dialects like OpenMP and optimize the overhead and latency of a distributed system. After that optimization, we can also offload some of the communication to native code generated or RDMA API calls.","ref":"introducing-beaver.html#beaver-s-ai-mission","title":"Introducing Beaver 🦫 - Beaver's AI mission","type":"extras"},{"doc":"MLIR is a super ambitious project. It is so flexible and powerful that it compiles anything that could be represented as a graph to anything that could be run on a computer, or directly to hardware via ⚡️CIRCT . There are even researchers using it to build a compiler for quantum computers.","ref":"introducing-beaver.html#what-is-mlir","title":"Introducing Beaver 🦫 - What is MLIR","type":"extras"},{"doc":"Just by looking at each, there is a perfect match in terms of expression and code structure. Elixir MLIR ft = Type.function([Type.i32()], [Type.i32()]) i1024 = Attribute.integer(Type.i32(), 1024) module do Func.func some_func(function_type: ft) do region do block bb_entry(a >>> Type.i32()) do b = Arith.constant(value: i1024) >>> Type.i32() c = Arith.addi(a, b) >>> Type.i32() Func.return(c) >>> [] end end end end module { func.func @some_func(%arg0: i32) -> i32 { %c1024_i32 = arith.constant 1024 : i32 %0 = arith.addi %arg0, %c1024_i32 : i32 return %0 : i32 } } Compiled to Erlang, everything is a SSA in Elixir. Everything in MLIR is SSA. This resemblance of structure makes it possible to create a perfect match of the semantics in an MLIR dialect. Elixir has a stable AST and powerful built-in facilities to do AST transformation. When using Beaver to generate MLIR in Elixir, is essentially generating MLIR API calls from an Elixir AST, the semantics and dominance are preserved perfectly. Build MLIR systems in Elixir with infinite extensibility, not just one MLIR toy. By implementing MLIR dialect or a collection of passes packaged as an Erlang OTP application and setup the supervisor tree, you can easily extend the stock MLIR features shipped by Beaver. You don't need to build LLVM/MLIR from source code yourself, and all the pattern matching and pass orchestration will just work. What is even crazier is that you can even use Erlang's facilities to hot-upgrade your MLIR compiler or build a distributed one if you want to. Profoundly, they share common philosophies and practices. One of the core ideas of MLIR is something called &quot;progressive lowering&quot;. It means [......] Every Erlang/Elixir program is essentially a progressive lowering. It use patterns to transform data at different abstraction levels. Although there is no such formal name, almost all books about Erlang/Elixir would talk about this and roughly describe it as &quot;think transformation&quot;. The transformation done by Elixir's Macro module and Beaver.Walker has a striking resemblance. Erlang/Elixir has the pervasive usage of pattern matching, even in function arguments. And pattern matching is exactly what MLIR passes are made of. So every Erlang/Elixir developer can become an LLVM/MLIR developer from day one because they have been writing SSA and pattern matching since the 1980s...","ref":"introducing-beaver.html#why-elixir-and-mlir-are-perfect-for-each-other","title":"Introducing Beaver 🦫 - Why Elixir and MLIR are perfect for each other","type":"extras"},{"doc":"Declarative MLIR generating Contextual information injection without stateful insert points MLIR transformation in classical functional AST traversal style Generating PDL IR from Elixir source defpat replace_add_op ( _t = % TOSA.Add { operands : [ a , b ] , results : [ res ] , attributes : [ ] } ) do % TOSA.Sub { operands : [ a , b ] } end Dialect-aware monadic pattern matching with % Func.Func { attributes : attributes } &lt;- Beaver . concrete ( operation ) , 2 &lt;- Enum . count ( attributes ) , { :ok , _ } &lt;- MLIR.Pattern . apply_ ( operation , [ replace_add_op ( ) ] ) do :ok end To summarize the rationale: An MLIR compiler = MLIR generation + MLIR passes = MLIR SSA generation + MLIR pattern matching = Elixir AST generation + Elixir pattern matching =~ Everyday Erlang/Elixir code So everyone knows Erlang/Elixir could build their compiler in MLIR! Target anything ! We can write Elixir code that compiles Elixir to anything , because LLVM/MLIR already does so. To summarize: Beaver API calls -&gt; Elixir AST -&gt; MLIR API calls -&gt; MLIR -&gt; LLVM/SPIR-V/CIRCT -&gt; Instructions/HW","ref":"introducing-beaver.html#core-features-of-beaver","title":"Introducing Beaver 🦫 - Core features of Beaver","type":"extras"},{"doc":"A typical Python-based machine learning library/framework consists of: Python (30%) A lot of C++/CUDA (60%) MLIR/LLVM in C++ (10%) Let's build another stack MLIR/LLVM in Elixir (95%, with great flexibility and expressiveness) Zig (5%, well-defined and optimized to bits) Machine learning is a kind of application that prioritizes throughput. The absolute single-threaded performance is not the key factor here since the number crushing is offloaded to the accelerators like GPU or SIMD instructions. What matters is that the higher-level programming language should have extremely low latency to async events of the accelerator so that the accelerator is never under-used. Erlang is just the perfect platform for this. It has second-to-none preemptive scheduling making sure all the events in the system are never delayed at the best effort. It is called &quot;soft-realtime&quot; in Erlang's words. On the other hand, machine learning developers always want the higher-level APIs to be flexible and expressive, even willing to pay the price of lower single-thread performance. Just look at how popular PyTorch is. In a word, an ideal higher-level programming language for ML should be responsive (low latency to HW events) and expressive (with pattern matching, can build both model and compiler). And Erlang/Elixir happens to have it all. What is even more exciting is that all the good stuff about fault tolerance and meta-programming is yet to be popularized in the machine learning world. No boundary Runtime and compile time With Beaver, we can run a model when compiling a model, and run a compiler inside a model Tens of thousands of Erlang processes could be tens of thousands of different compilers generating code of their interests. They could talk to each other with tensor, IR, logic symbols, and raw data. Pass generated Here is a very common use case in tensor compilers: to maximize the FLOPS of GPU and other accelerators, we often hard-coded passes to do tiling and similar optimization for memory hierarchy. With Beaver, at compile time we can generate a pass by running a benchmark to search for the best tiling parameter and persistent the configs.","ref":"introducing-beaver.html#why-machine-learning-in-elixir-is-a-good-idea","title":"Introducing Beaver 🦫 - Why machine learning in Elixir is a good idea","type":"extras"},{"doc":"Not just for machine learning, but other purposes. MLIR gets lowered to LLVM or SPIR-V LLVM targets WASM Someday maybe we could compile the whole Erlang virtual machine to hardware. Who knows. Compiler as service Remote code execution shouldn't be a bug but a feature. Instead of keeping adding commands until it is out of control, how about using IR as the &quot;hypertext&quot;?","ref":"introducing-beaver.html#built-for-purposes-and-applications-outside-of-machine-learning","title":"Introducing Beaver 🦫 - Built for purposes and applications outside of machine learning.","type":"extras"},{"doc":"Mix . install ( [ { :beaver , &quot;~&gt; 0.2&quot; } ] )","ref":"your-first-beaver-compiler.html","title":"Your first compiler with Beaver!","type":"extras"},{"doc":"Before start coding anything. Let's get some intuition about what a typical compiler is made of. IR Pass CodeGen","ref":"your-first-beaver-compiler.html#what-makes-a-compiler","title":"Your first compiler with Beaver! - What makes a compiler","type":"extras"},{"doc":"Most of LLVM tutorial starts with AST and parser. Guess what we are building it with Elixir and it rocks. So we can start with something fun, generating the IR. use Beaver ctx = MLIR.Context . create ( ) ir = mlir ctx : ctx do module do Func . func some_func ( function_type : Type . function ( [ Type . i32 ( ) ] , [ Type . i32 ( ) ] ) ) do region do block bb_entry ( a &gt;&gt;&gt; Type . i32 ( ) ) do b = Arith . constant ( value : Attribute . integer ( Type . i32 ( ) , 1024 ) ) &gt;&gt;&gt; Type . i32 ( ) c = Arith . addi ( a , b ) &gt;&gt;&gt; Type . i32 ( ) Func . return ( c ) &gt;&gt;&gt; [ ] end end end end end module { func . func @some_func ( % arg0 : i32 ) -&gt; i32 { % c1024_i32 = arith . constant 1024 : i32 % 0 = arith . addi % arg0 , % c1024_i32 : i32 return % 0 : i32 } } As you can see, with MLIR we are not working with those low level LLVM instructions you might have seen somewhere else. Here we have this Func.func and Func.return thing looks like a function and return statement in a programming language. And the Arith stuff seems to be doing some arithmetic for us. Now you might take some time to look at the IR printed by IO.puts and think about it. If you find the text full of %1 , %2 not so interesting, don't worry. The only thing you need to know is that this is called MLIR's &quot;textual form&quot;. Let's carry on.","ref":"your-first-beaver-compiler.html#a-taste-of-mlir","title":"Your first compiler with Beaver! - A taste of MLIR","type":"extras"},{"doc":"The Next Big Thing™ we are going to do is to convert what we got so far to LLVM IR. Why? Long story short, MLIR is like a cinematic universe. Instead of having different hero franchises, we got a bunch of &quot;dialects&quot;. The Func , Arith are both dialects. There is a dialect called LLVM we haven't seen. LLVM is a dialect kind of magical and kind of different from others. It is magical that if we can convert IR to LLVM , we can generate native machine code and run it. This is how it is done with Beaver: import MLIR.Conversion llvm_ir = ir |&gt; convert_arith_to_llvm |&gt; MLIR.Pass.Composer . nested ( Func.Func , fn pm -&gt; MLIR.Pass . pipeline! ( pm , &quot;llvm-request-c-wrappers&quot; ) end ) |&gt; convert_func_to_llvm |&gt; MLIR.Pass.Composer . run! ( ) module attributes { llvm . data_layout = &quot;&quot; } { llvm . func @some_func ( % arg0 : i32 ) -&gt; i32 attributes { llvm . emit_c_interface } { % 0 = llvm . mlir . constant ( 1024 : i32 ) : i32 % 1 = llvm . add % arg0 , % 0 : i32 llvm . return % 1 : i32 } llvm . func @_mlir_ciface_some_func ( % arg0 : i32 ) -&gt; i32 attributes { llvm . emit_c_interface } { % 0 = llvm . call @some_func ( % arg0 ) : ( i32 ) -&gt; i32 llvm . return % 0 : i32 } } Now you can see the IR seems to &quot;grow&quot; a little. It is called &quot;lowering&quot;. What we just did is running two passes convert_func_to_llvm and convert_arith_to_llvm on our IR. So that the higher level abstraction like Func and Arith are lowered to LLVM IR, which is a representation closer to the hardware instruction. Remember what I told you, if we get to LLVM Dialect, basically we should get native machine code to run right? Let's do it!","ref":"your-first-beaver-compiler.html#entering-the-llvm-realm","title":"Your first compiler with Beaver! - Entering the LLVM realm","type":"extras"},{"doc":"jit = MLIR.ExecutionEngine . create! ( llvm_ir ) return = Beaver.Native.I32 . make ( 0 ) arguments = [ Beaver.Native.I32 . make ( 1024 ) ] MLIR.ExecutionEngine . invoke! ( jit , &quot;some_func&quot; , arguments , return ) |&gt; Beaver.Native . to_term ( ) 2048","ref":"your-first-beaver-compiler.html#run-it","title":"Your first compiler with Beaver! - Run it!","type":"extras"},{"doc":"Congratulations! You have just built your first compiler with Beaver. There could be a lot to unpack and here is the summary: First we generate some MLIR with the mlir/1 macro. Then we convert it to LLVM IR with convert_func_to_llvm and convert_arith_to_llvm passes. Later we create a JIT engine from the generated LLVM IR with MLIR.ExecutionEngine.create! and run the native function. These three steps are corespondent to what makes a compiler IR Pass CodeGen In next tutorial we are taking a more programable approach to generate the IR, converting Elixir AST to MLIR. By doing it we will pick up concepts like region, block, operations appear here but didn't receive much attention for now. You might want to look at the full list of MLIR dialects here .","ref":"your-first-beaver-compiler.html#recap","title":"Your first compiler with Beaver! - Recap","type":"extras"}]